<?php

/**
 * UTF8
 */

namespace Ron\RonPortal;

require_once('adsapp/ronportalform.php');


class VzkazyFormular extends RonPortalForm
{

    /**
     * @param \Ron\DB\Database $database
     */
    function __construct($database)
    {
        parent::__construct($database, 'new');

        $this -> htmlAction = '?menuid=vzkazy&action=odeslatvzkaz';
        $this -> stornoAction = '?menuid=vzkazy';

        $this -> title = \Ron\ronText('Odeslat_vzkaz');
        $this -> sqlTableName = 'Vzkaz';

        $this -> dbLogSrcDescription = 'Vzkazy';

        $this ->addField( [
            FORM_FIELD_TYPE => FORM_FIELD_TYPE_ID, FORM_FIELD_NAME => 'Id', FORM_FIELD_PRIMARY => true
        ]);

        $this -> addField( new UserRCField('RCOdesilatele') );

        $this -> addFields( [
            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_ACTUAL_TIME, FORM_FIELD_NAME => 'DatumCas', FORM_FIELD_EDIT => false ],
            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_SELECT, FORM_FIELD_NAME => 'KodPrijemce', FORM_FIELD_CAPTION_TEXT => 'Prijemce',
              FORM_FIELD_EDIT => 1, FORM_FIELD_REQUIRED => 1,
              FORM_FIELD_SQL => 'SELECT Kod, Popis FROM PrijemceVzkazu ORDER BY kod' ],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_EDIT,  FORM_FIELD_NAME => 'Predmet', FORM_FIELD_CAPTION_TEXT => 'Predmet',
                FORM_FIELD_MAXLENGTH => 60, FORM_FIELD_REQUIRED => 1, FORM_FIELD_EDIT => 1 ],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_MEMO,   FORM_FIELD_NAME => 'Popis', FORM_FIELD_CAPTION => '&nbsp;', FORM_FIELD_EDIT => 1]
        ]);
    }
}

