<?php
/**
 * UTF8
 * stanislav.elbl, 15.07.2015
 *
 * IntrawebAppController - zajistuje funkcnost puvodniho kodu, ktery neni zalozeny na MVC
 */

namespace Ron\RonPortal;


require_once('ron/guiutils.php');
require_once('ron/stringutils.php');
require_once('ron/apputils.php');
require_once('ron/dateutils.php');
require_once('adsapp/nastaveni.php');
require_once('adsapp/prava.php');
require_once('adsapp/sessionvars.php');
require_once('adsapp/obdobi.php');
require_once('adsapp/rozdeleni.php');
require_once('adsapp/ppomer.php');
require_once('adsapp/usersettings.php');

require_once('appconstants.php'); // verze a podobne

use Ron;
use Ron\MVC\InternalRedirect;
use Ron\MVC\Redirect;

/**
 * Class UserPageView
 * @package Ron\RonPortal
 */
class UserPageView implements Ron\MVC\ViewObject
{
    var $f_dbconnection; // pro kompatibilitu
    var $f_menuid;

    /**
     * @param Ron\DB\Database $database
     * @param $menuid
     */
    function __construct($database, $menuid)
    {
        $this ->f_dbconnection = $database;
        $this ->f_menuid = $menuid;
    }


    /**
     */
    public function render()
    {
        if ( isset($_GET['menuid']) && $_GET['menuid'] ) {
            $_SESSION['appaction'] = $_GET['menuid'];
        }

        require_once('adsapp/useractions.php');
        \useraction($this ->f_dbconnection, $this ->f_menuid);
    }

}


class UserPageController implements Ron\MVC\Controller
{
    /** @var  Ron\DB\Database */
    var $database;

    /**
     * @param Ron\DB\Database $database
     */
    public function __construct($database)
    {
        $this ->database = $database;
    }


    /**
     * @param string $action
     * @return string|Redirect|InternalRedirect
     */
    public function handleAction($action)
    {
        Ron\TextManager::getInstance() ->loadStrings('dochazka.ini');

        if ($action == 'jsstrings') {
            require_once('ron/utils.php');
            return new Ron\MVC\TranslationsOutputObject();
        }

        Ron\MVC\Model::setData('defaultQueryString', $_SERVER['QUERY_STRING']);

        Ron\Http\HtmlHeaders::getInstance() ->addScript('', '?menuid=jsstrings&ver=' . Ron\Http\HtmlHeaders::getInstance() ->versionId);

        $app = new UserPageView($this ->database, $action);

        Ron\MVC\Model::addViewObject($app);

        return 'view/appview.php';
    }

}
