<?php
/**
 * UTF8
 * stanislav.elbl, 24.02.2016
 */

namespace Ron\RonPortal;

use Ron\DateUtils;
use Ron\DB\Database;
use Ron\MessageManager;
use Ron\MVC\HttpController;
use Ron\MVC\Redirect;
use Ron\RonPortal\XML\RonPortalXMLForm;
use Ron\TextManager;

class PodleKalendareController extends HttpController
{
    /** @var  Database */
    private $database;

    /**
     * PodleKalendareController constructor.
     * @param Database $database
     */
    public function __construct(Database $database)
    {
        $this->database = $database;
    }



    public function vlozPodleKalendare()
    {
        require_once('editace/f_podlekalendare.php');
        $f = new PodleKalendareFormular($this ->database);
        $f ->nactiData($_POST['idpp'], null);

        try {
            require_once 'editace/editace_utils.php';
            EditaceUtils::editaceDochazkyEvent($this ->database, $f ->pp, $f ->datumOd, 'before');

            $f ->nactiDataPodlePost();
            $f ->provedVlozeni();

            EditaceUtils::editaceDochazkyEvent($this ->database, $f ->pp, $f ->datumOd, 'after');

            return RonPortalXMLForm::$eventRedirect ?: new Redirect(null, '?menuid=zpracovanadochazka&idpp=' . $f ->pp ->idPP . '&obdobi=' . DateUtils::dateToUrlString($f ->obdobi ->zacatek));
        } catch (\Exception $e) {
            MessageManager::addErrorMessage($e ->getMessage());
            return $f;
        }
    }


    public function handleAction($action)
    {
        TextManager::getInstance() ->loadStrings('dochazka.ini');

        if ( isset($_POST['action'])  &&  $_POST['action'] == 'vlozpodlekalendare' ) {
            return $this ->vlozPodleKalendare();
        }

        require_once('editace/f_podlekalendare.php');
        $f = new PodleKalendareFormular($this ->database);

        $datum = isset($_GET['datum']) ? DateUtils::urlStringToDate($_GET['datum']) : 0;
        $f ->nactiData((int)$_GET['idpp'], $datum);
        return $f;
    }

}

return new PodleKalendareController($this ->database);
