<?php
/**
 * UTF8
 * stanislav.elbl, 03.08.2015
 */

namespace Ron\RonPortal;

require_once('adsapp/reportutils.php');

use Ron\DateUtils;
use Ron\DB\Database;
use Ron\Http\HtmlHeaders;
use Ron\MVC\BaseViewObject;
use Ron\MVC\JsonController;
use Ron\MVC\JsonOutputObject;
use Ron\MVC\Model;
use Ron\MVC\OutputObject;
use Ron\StringUtils;


class ReportsController extends JsonController
{

    /** @var Database */
    var $database;


    /**
     * ReportsController constructor.
     * @param Database $database
     */
    public function __construct($database)
    {
        $this->database = $database;
    }


//    /**
//     * @return ReportOutputObject
//     * @throws \Exception
//     */
//    function renderReport()
//    {
//        require_once('adsapp/reportserver.php');
//        $result = new ReportOutputObject($this ->database);
//        $result ->loadPost();
//
//        session_write_close(); // zamezi blokovani dalsich requestu
//
//        return $result;
//    }


    /*
    function reportsList()
    {
        $prava = Prava::vratPrava('prohlizeni');
        if (!$prava ->jsouNejakePrava()) {
            RonPortalUtils::neniPravoException();
        }

        require_once('adsapp/ronportalfilter.php');
        $frm = new RonPortalFilterForm($this ->database, 'reports');
        $frm->nastavObdobi(true, 'ADS', false);  // jenOtevrene = false
        $frm->nastavDatumOdDo(true, false);
        $frm->nastavRozdeleni(true);
        $frm->showVcetnePodrizenychRozdeleni = false;
        $frm->f_pravarozdeleni = $prava;
        $frm->nastavOsoby(true, $prava, 0, 0); // datum od-do podle obdobi TODO: co kdyz chci osoby podle vybraneho data od do?
        $frm->povolitVsechyOsoby = true;
        $frm->loadData();
        Model::addData('filterForm', $frm);

        $stringParams =
            'TypRozdeleni=' . RonPortalSettings::getIntValue(RonPortalSettings::ROZDELENI_TYP) .
            ';Rozdeleni=' . RonPortalSession::rozdeleni();

        if (RonPortalSession::getFiltrovatDatum()) {
            $dateParams =
                'pocatekZvolenehoObdobi=' . date('j.n.Y', RonPortalSession::getDatumOd()) .
                ';konecZvolenehoObdobi=' . date('j.n.Y', RonPortalSession::getDatumDo()) . ';';
        }
        else {
            $dateParams =
                'pocatekZvolenehoObdobi=' . date('j.n.Y', RonPortalSession::obdobi()) .
                ';konecZvolenehoObdobi=' . date('j.n.Y', RonPortalSession::konecObdobi());
        }

        $reportListView = new ReportsListView($stringParams, $dateParams);

        if (!RonPortalSession::vsechnyOsoby())
            $reportListView ->idPP = RonPortalSession::vybranaOsoba();
        $reportListView ->load($this ->database, " Povolit = 1  AND  (Formular IS NULL  OR  Formular = '')", null);

        return $reportListView;
    }
    */


    /**
     * Zobrazi formular pro zadani filtru reportu
     * @param $reportName
     * @return BaseViewObject
     * @throws \Exception
     */
    public function reportForm($reportName)
    {
        require_once 'adsapp/reports_filter.php';
        $filterForm = new ReportsFilterForm($this->database);
        $filterForm ->load($reportName);

        //Model::addData('reportsFilterForm', $this);
        return $filterForm;
    }


    public function handleReportDialogPost()
    {
        require_once('adsapp/reportserver.php');
        require_once('adsapp/reports_filter.php');

        $reportName = $_POST['reportName'];
        $report = ReportsFilterForm::loadReport($this ->database, $reportName);

        $format = 'pdf';
        foreach (Report::FORMATY as $f) {
            if (isset($_POST['FORMAT_' . $f])) {
                $format = $f;
            }
        }
        //throw new \Exception($format);

//        if ($report ->appReportName) {
            // report z manazera sestav
            //$result = new XmlReportOutputObject($reportName, $format, ReportsFilterForm::getFiltersXml($this->database, $report)); // prozatim pdf
            //$result = new XmlReportOutputObject($report, $format);
            $result = ReportsFilterForm::getXmlReportOutputObject($this ->database, $report, $format);
//        } else {
//            // puvodni report ze sestav pro intraweb - (zatim) nelze pres XML
//            $result = ReportsFilterForm::getReportOutputObject($this ->database, $report, $format);
//        }

        session_write_close(); // zamezi blokovani dalsich requestu

        return $result;
    }


    /**
     * @param JsonOutputObject $output
     * @throws \Exception
     */
    function nactiOsoby($output)
    {
        require_once 'adsapp/report.php';
        $report = Report::loadReport($this ->database, StringUtils::fromUTF8($_GET['report']));

        $datumOd = time();
        $datumDo = null;

        if ($_GET['obdobi']) {
            $datumOd = DateUtils::dateStringToTimestamp($_GET['obdobi']);
            $datumDo = DateUtils::lastDayOfMonth($datumOd);
        } else if ($_GET['ctvrtleti']) {
            $datumOd = DateUtils::dateStringToTimestamp($_GET['ctvrtleti']);
            $datumDo = DateUtils::incDay(DateUtils::incMonth($datumOd, 3), -1);
            //throw new \Exception("$datumOd - $datumDo");
        } else if ($_GET['rok']) {
            $datumOd = DateUtils::dateStringToTimestamp($_GET['rok']);
            $datumDo = DateUtils::incDay(DateUtils::incMonth($datumOd, 12), -1);
        } else {
            if ($_GET['datumOd']) {
                $datumOd = DateUtils::dateStringToTimestamp($_GET['datumOd']);
            }
            if ($_GET['datumDo']) {
                $datumDo = DateUtils::dateStringToTimestamp($_GET['datumDo']);
            }
        }

        $datumDo = $datumDo ?: $datumOd;

        Prava::nastavObdobiProPrava($datumOd, $datumDo);
        $prava = Prava::vratPrava($report ->prava ?: 'prohlizeni');

        require_once 'adsapp/ronportalcontrols.php';
        $comboOsoba = new ComboBoxZamestnanec('osoba');

        if (RonPortalSettings::getIntValue(RonPortalSettings::ROZDELENI_TYP)  &&  (int)$_GET['jenRozdeleni']) { // $report->zobrazitPanelRozdeleni  && - POZOR - panely nejsou nactene
            $comboOsoba ->nastavFiltrRozdeleni(
                RonPortalSettings::getIntValue(RonPortalSettings::ROZDELENI_TYP),
                //StringUtils::fromUTF8($_GET['rozdeleni']),
                $_GET['rozdeleni'],
                (int)$_GET['vcetnePodrizenych']);
        }

        $comboOsoba ->loadDataPP($this ->database, $datumOd, $datumDo, $prava, false, null);
        $output ->addData('options', $comboOsoba ->getJsonData());
    }


    function handleJsonAction($action, $output)
    {
        switch ($_GET['action']) {
            case 'nactiosoby' :
                $this ->nactiOsoby($output);
                break;
        }
    }


    /**
     * @param string $action
     * @return string|OutputObject
     * @throws \Exception
     */
    public function handleAction($action)
    {
        HtmlHeaders::getInstance() ->addScript('script/reports.js');

        if (isset($_GET['action'])) {
            return parent::handleAction($action);
        }

        if (isset($_POST['reportDialog']) && $_POST['reportDialog']) {
            return $this ->handleReportDialogPost();
        };

//        if (isset($_POST['reportname']) && $_POST['reportname']) {
//            return $this ->renderReport();
//        };

        return $this ->reportForm($_GET['reportname']);

        //return $this ->reportsList();
    }

}


return new ReportsController($this ->database);
