<h2>Bloky</h2>

Blok je logická část XML dokumentu. Pomocí atributů lze omezit zobrazení/provádění bloku jen v případě, že je splněná nějaká podmínka.
<pre>
   &lt;block&gt;
      ... obsah bloku ...
   &lt;/block&gt;
</pre>

<p>
    Pomocí parametru <strong><code>context</code></strong> je možné omezit provádění bloku pouze pro zadaný kontext (platí pouze pro události, není v XSL)<br/>
    Context nastavují události podle potřeby - například "insert" nebo "update".
</p>
<pre>
   &lt;block context="insert"&gt;
      ... obsah bloku ...
   &lt;/block&gt;
</pre>

<p>
    Při zadání parametru <strong><code>variable</code></strong> se blok provede jen v případě, že je nastavena zadaná proměnná a má nenulovou hodnotu. (není v XSL).<br/>
    Při zadání parametru <strong><code>notvariable</code></strong> se blok provede jen v případě, že není nastavena zadaná proměnná nebo má nulovou nebo prázdnou hodnotu. (není v XSL).<br/>
</p>
<pre>
   &lt;block variable="jmeno_promenne"&gt;
      ... obsah bloku ...
   &lt;/block&gt;
</pre>


Pomocí parametru <strong><code>action</code></strong> je možné omezit provádění bloku jen pro zadanou akci (viz tagy action a button).<br/>
<pre>
   &lt;block action="jmeno_akce"&gt;
      ... obsah bloku ...
   &lt;/block&gt;
</pre>


Pomocí parametru <strong><code>profile</code></strong> je možné omezit provádění bloku jen pro uživatele se zadaným kódem profilu.<br/>
<pre>
   &lt;block profile="ZAM"&gt;
      ... obsah bloku ...
   &lt;/block&gt;
</pre>


<p>
    Při zadání atributu <strong><code>ignore="1"</code></strong>, je celý obsah bloku vynechán. Lze použít například pro zakomentování části formuláře.
</p>
<pre>
   &lt;block ignore="1"&gt;
      ... obsah bloku ...
   &lt;/block&gt;
</pre>

<p>
    Pokud je zadán atribut <strong><code>copy="0"</code></strong>, není blok přenášen do další úrovně, takže se provede pouze jednou.<br/>
    Jméno bloku (parametr <code>name</code>) je nepovinné. Ale pokud je to datové XML a block má <code>copy="0"</code>,
    tak <code>name</code> nastaveno být musí, aby si v příslušné proměnné uložil stav.
</p>
<pre>
   &lt;block copy="0" name="jmeno_bloku"&gt;
      ... obsah bloku ...
   &lt;/block&gt;
</pre>

