<h2>Podmíněné provádění - &lt;if&gt; a &lt;test&gt;</h2>

<p>
    Tagy &lt;if&gt; a &lt;test&gt; nejdříve ověří platnost podmínky a teprve podle výsledku provedou vnořený obsah.
</p>

<p>
    Tag &lt;if&gt; provede v případě splnění podmínky celý svůj obsah. V opačném případě nedělá nic.
</p>
<PRE>
    &lt;if ...&gt;
        ...
    &lt;/if&gt;
</PRE>

<p>
    Tag &lt;test&gt; provede v případě splnění podmínky obsah vnořeného tagu &lt;testok&gt;
    a v případě nesplnění podmínky provede obsah vnořeného tagu &lt;else&gt; (ani jeden z nich není povinný).
</p>
<PRE>
    &lt;test ...&gt;
        &lt;testok&gt;
            ...
        &lt;/testok&gt;

        &lt;else&gt;
            ...
        &lt;/else&gt;
    &lt;/test&gt;
</PRE>


<div>
    <strong>Typy testů:</strong>
    <ul>
        <li><code><strong>expression</strong></code> (výchozí hodnota), případně bez zadaného typu - vyhodnotí podmínku z atributu <code>condition</code> pomocí funkce PHP eval(). Podmínka může obsahovat proměnné.</li>
        <li><code><strong>notemptysql</strong></code> - vrací true, pokud není výsledek zadaného SQL výrazu (atribut <code>sql</code>) prázdný.</li>
        <li><code><strong>emptysql</strong></code> - vrací true, pokud je výsledek zadaného SQL výrazu (atribut <code>sql</code>) prázdný.</li>
        <li><code><strong>error</strong></code> - vrací true, pokud ve formuláři došlo k chybě (tag error nebo některé další chyby)</li>
        <li><code><strong>=, ==, eq, >, gt, >=, gteq, <, lt, <=, lteq, <>, !=, neq, noteq</strong></code> - porovnání parametrů param1 a param2. Parametry mohou obsahovat proměnné</li>
        <li><code><strong>eqci, neqci, noteqci</strong></code> - case insensitive porovnání parametrů param1 a param2. Parametry mohou obsahovat proměnné</li>
    </ul>
    POZOR! Nepoužívejte v textu podmínky poznámky - pokud je to SQL dotaz, je předán serveru včetně těch poznámek! <BR/>
</div>

<PRE>
    &lt;if condition="PHP PODMINKA s proměnnými"&gt;
        ...
    &lt;/if&gt;
</PRE>

<PRE>
    &lt;if testtype="emptysql" sql="SELECT ..."&gt;
        ...
    &lt;/if&gt;
</PRE>

<PRE>
    &lt;if testtype="eq" param1="{$promenna}" param2="hodnota" &gt;
        ...
    &lt;/if&gt;
</PRE>

<p>
    Nepovinný parametr <code><strong>copy</strong></code> určuje, jestli se bude po provedení přenášet do dalších úrovní.
    Pro if je výchozí hodnota 0 (přenáší se jen obsah), pro test je výchozí hodnota 1 (bude se přenášet celý tag test)
</p>
<PRE>
    &lt;if condition="PODMINKA" copy="1"&gt;
        ...
    &lt;/if&gt;
</PRE>
