<h2>Načítání dat z databáze - &lt;sqlvariable&gt;</h2>
Tag &lt;sqlvariable&gt; umožňuje načíst data z databáze pomocí SQL výrazu do proměnné:
<PRE>
   &lt;sqlvariable name="JMENO_PROMENNE" format="FORMAT_PROMENNE"  copy="0/1/yes/no"  log="0/1/2" sqltextvariable="promenna s sql vyrazem"&gt;SQL vyraz&lt;/sqlvariable&gt;
</PRE>
FORMAT_PROMENNE může být:
<ul>
    <li><code>date, time, datetime, year, finedate, finedatetime, fulltime, fulldatetime</code> - z datového pole typu TIMESTAMP vytvoří textový zápis</li>
    <li><code>number1, number_1, number2, number_2, kc, curr</code> - z datového pole typu float, nebo integer vytvoří textový zápis</li>
    <li><code>anone</code> - text Ano nebo Ne</li>
    <li><code>hodiny</code> - text ve formátu hh:mm - počet hodin (může být více než 24) - pro datové pole typu float</li>
    <li><code>minuty</code> - počet minut</li>
    <li><code>timeofday</code> - text ve formátu hh:mm - počet hodin (může být více než 24) - pro datové pole typu TIMESTAMP</li>
    <li><code>timestamp</code> - z datového pole typu TIMESTAMP vytvoří číslo reprezentující daný čas (ve formátu PHP - tj. počet sekund od 1970).</li>
    <li><code>sql2datetimestr, sql2datestr, sql2timestr</code> - prevadi datum a cas nacteny z databaze na text - a to i pri zapisu do SQL vyrazu!</li>
    <li><code>sql2timestamp</code> - prevadi datum a cas nacteny z databaze na timestamp</li>
</ul>
Tuto proměnnou lze použít v SQL výrazech.<BR/>
Pokud není formát zadán, bude proměnná v takovém tvaru, jako byla vrácena z databáze<BR/>
Parametr <code>copy</code> určuje, jestli se po vyplnění formuláře zachová původní tag s sql dotazem (toto je i výchozí chování, pokud není <code>copy</code> zadán),
nebo se transformuje na <code>&lt;variable&gt;</code> (v případě, že je <code>copy</code> "0" nebo "no"), což znamená, že hodnota proměnné se pak již nemění.<BR/>
Nepovinný parametr <code>log</code> určuje, jestli se má provedený výraz zapsat do DB logu. Pokud je 1, tak se zapisuje text SQL dotazu, pokud je 2, tak se navíc zapíší i načtené hodnoty.
Lze zapsat jen hodnoty, které lze automaticky konvertovat na řetězec! U některých způsobů připojení k databázi nefunguje například pro datumy!<BR/>
SQL výraz může být zadán pomocí prorměnné sqltextvariable (proměnná se zadaným jménem musí obsahovat SQL výraz) nebo v těle tagu.<BR/>
Pokud vrací zadaný SQL výraz více polí, bude výsledná proměnná pole. První prvek pole je naformátován zadaným formátem.<BR/>
<BR/>

Příklad:
<PRE>
   &lt;sqlvariable name="pocetosob"&gt;
       SELECT COUNT(*) FROM Osoba
   &lt;/sqlvariable&gt;

   &lt;sqlvariable name="pocetosob"&gt;
     &lt;![CDATA[
       SELECT COUNT(*) FROM Osoba WHERE Prijmeni &lt; 'L'
     ]]&gt;
   &lt;/sqlvariable&gt;

   &lt;sqlvariable name="pocetosob" sqltextvariable="SQL1" /&gt;
</PRE>

V prvním zápise nesmí být v SQL výrazu použité znaky &lt; a &gt;. Pokud je potřeba tyto znaky použít,
musí se použít druhý způsob zápisu s CDATA.
<br/>
<a name="postvariable"></a>
<H4>POST</H4>
<PRE>
  &lt;postvariable name="promenna1" htmlname="..." format="..."/&gt;
</PRE>
Umožní načíst hodnotu proměnné z POST (zadané uživatelem nebo odeslané jako hidden). Takto je možné zjistit hodnotu proměnné
ještě před tím, než se ve formuláři zpracuje příslušný tag (edit, checkbox, hidden, ...).
Parametr htmlname je nepovinný - pokud není zadán, použije se name. Parametr format je také nepovinný.
