<?php

/**
 * UTF8
 */

namespace Ron\RonPortal;

use Ron\DateUtils;
use Ron\StringUtils;

require_once('adsapp/b_dochazka.php');


class HistoriePruchoduBrowser extends DochazkaBrowser
{

    function __construct($database)
    {
        parent::__construct($database, 'historiepruchodu');

        global $STR_HistoriePruchodu; // pro kompatibilitu se starymi uzivatelskymi preklady
        $this->title = isset($STR_HistoriePruchodu) ? $STR_HistoriePruchodu : \Ron\ronText('Historie_pruchodu');
        $this->nacistSvatky = false;

        $this->cssClass = 'browser grid browserdenni historiepruchodu mobile-table-rows';
    }


    function nactiData()
    {
        $params = $this ->database ->createParameters();
        $sql =
            'SELECT HistoriePruchodu.DatumCasPruchodu, OperaceDochazky.PopisProDochazku, HistoriePruchodu.Poznamka, HistoriePruchodu.Terminal, Terminal.Popis' .
            ' FROM HistoriePruchodu, OperaceDochazky, Terminal' .
            ' WHERE HistoriePruchodu.KodOperace = OperaceDochazky.Kod' .
            ' AND HistoriePruchodu.Terminal = Terminal.Kod' .
            ' AND HistoriePruchodu.RC = ' . $params->addParameter($this ->filterForm ->vybranaOsobaRC) .
            ' AND HistoriePruchodu.OsobniCislo = ' . $params->addParameter($this ->filterForm ->vybranaOsobaOsobniCislo) .
            ' AND HistoriePruchodu.DatumNastupu = ' . $params ->addParameter($this ->database ->dateToParam($this ->filterForm ->vybranaOsobaDatumNastupu)) .
            ' AND HistoriePruchodu.DatumCasPruchodu >= ' . $params ->addParameter($this ->database ->dateToParam($this ->filterForm ->vybraneObdobiOd)) .
            ' AND HistoriePruchodu.DatumCasPruchodu <= ' . $params ->addParameter($this ->database ->timestampToParam(DateUtils::endOfTheDay($this ->filterForm ->vybraneObdobiDo))) .
            ' ORDER BY HistoriePruchodu.DatumCasPruchodu';

        return $this ->database ->getSqlResult($sql, $params);
    }


    function vratTextKZaznamu($zaznam, $posledni)
    {
        $result = date('H:i', $this ->database ->stringToTimestamp($zaznam[0])) . ' &nbsp ' . StringUtils::htmlTextConvert($zaznam[1]);

        $result .= ' <DIV class="terminaldochazky" title="' .
            \Ron\ronText('Terminal') . ' ' . StringUtils::htmlTextConvert($zaznam[3]) . ' (' . StringUtils::htmlTextConvert($zaznam[4]) . ')">(' .
            StringUtils::htmlTextConvert($zaznam[3]) .
            ')</DIV>';

        if ($this ->zobrazitPoznamky && $zaznam[2]) $result .= '<DIV class="poznamka">' . StringUtils::htmlTextConvert($zaznam[2]) . '</DIV>';

        return $result;
    }

}
