<?php
/**
 * UTF8
 * stanislav.elbl, 06.02.2017
 */

namespace Ron\RonPortal;

/** @var VysledekKontroly[] $kontroly */

use Ron\Dialog;
use Ron\DialogButton;
use Ron\StringUtils;

require_once('ron/dialog.php');
$dialog = (new Dialog())
    ->setTitle(\Ron\ronText('Kontroly'))
    ->setId('kontrolyDochazky')
    ->addButton(
        (DialogButton::cancelButton('kontrolyDochazkyOK', \Ron\ronText('OK')))
    );


?>
<?php $dialog ->renderHead(); ?>

    <table id="kontrolyDochazkyTable" class="browser">
        <?php foreach($kontroly as $index => $kontrola) { ?>
            <tr class="kontrola_row kontrola_<?= $kontrola ->kategorie ?>"  id="kontrolyDochazky_<?= $index ?>">
                <td><?= $kontrola ->htmlPriznak($index) ?></td>
                <td class="kontrola_info">
                    <div><?= $kontrola ->mesicni ? '' : date('j.n.Y', $kontrola ->datum) ?></div>
                    <div><?= StringUtils::htmlTextConvert($kontrola ->popis) ?></div>
                    <?php if ($kontrola ->poznamka) { ?>
                        <div class="poznamka"><?= StringUtils::longTextToHtml($kontrola ->poznamka, true) ?></div>
                    <?php } ?>
                </td>
            </tr>

        <?php } ?>
    </table>

<?php $dialog ->renderTail(); ?>
