<?php
/**
 * UTF8
 * stanislav.elbl, 31.07.2015
 */

namespace Ron\RonPortal;

use Ron\DateUtils;
use Ron\DB\Database;
use Ron\DB\SqlStatement;

require_once('adsapp/b_dokumenty.php');
require_once('adsapp/dokumentyutils.php');

class DokumentyDochazkyBrowser extends DokumentyBrowser
{
    /**
     * @param \Ron\DB\Database $database
     * @param PracovniPomer $pp
     * @param int  $obdobi
     * @param bool $lzeEditovat
     */
    function __construct($database, $pp, $obdobi, $lzeEditovat)
    {
        parent::__construct($database,
            '?menuid=editace&action=download&idpp=' . $pp ->idPP . '&obdobi=' . DateUtils::dateToUrlString($obdobi),
            $lzeEditovat ? 2 : 0); // 2 = mazani pres form

        $this ->title = '';
        $this ->showMessages = false;

        $this->sqlFromPart = 'Dokument, TypDokumentu, DokumentDochazky';

        $params = $database ->createParameters();
        $this->sqlWherePart = new SqlStatement(
            'Dokument.Id = DokumentDochazky.Id ' .
            ' AND TypDokumentu.Kod = Dokument.Typ ' .
            ' AND DokumentDochazky.RC = ' . $params->addParameter($pp ->rc) .
            ' AND DokumentDochazky.OsobniCislo = ' . $params->addParameter($pp ->osobniCislo) .
            ' AND DokumentDochazky.DatumNastupu = ' . $params ->addParameter($database ->dateToParam($pp ->datumNastupu)) .
            ' AND DokumentDochazky.PocatekObdobi = ' . $params ->addParameter($database ->dateToParam($obdobi)) .
            " AND DokumentDochazky.Aplikace = 'ADS'",
            $params);

        $this->sqlSelectPart .= ', DokumentDochazky.Den';

        $this ->datumField ->sqlFieldIndex = 5;
    }


    /**
     * @param Database $database
     * @param PracovniPomer $pp
     * @param int  $obdobi
     * @param bool $lzeEditovat
     */
    static function zobrazDokumentyDochazky($database, $pp, $obdobi, $lzeEditovat)
    {
        echo "<A name='dokumenty'></A>\n";

        // Seznam dokumentu
        $b = new DokumentyDochazkyBrowser($database, $pp, $obdobi, $lzeEditovat);
        $b ->load();
        $b ->render();
    }

}


class DokumentDochazkyUploadForm extends DokumentUploadForm
{
    /** @var  DenniVysledky */
    private $denniVysledky;

    /**
     * DokumentDochazkyUploadForm constructor.
     * @param Database $database
     * @param DenniVysledky $denniVysledky
     */
    public function __construct($database, $denniVysledky)
    {
        parent::__construct($database, '?menuid=editace&action=dokumentupload&idpp=' . $denniVysledky ->pp ->idPP . '&obdobi=' . DateUtils::dateToUrlString($denniVysledky ->datumOd));
        $this ->denniVysledky = $denniVysledky;
    }


    public function dalsiRadkyKDokumentu()
    {
        echo '<div class="form-gap"></div>';

        // zobrazi vyber radku, ke kteremu se ma dokument pripojit
        echo '<div class="row" id="novydokument_radekscrow">';

        echo '<div class="col col-12 col-sm-4 caption">' . \Ron\ronText('Pripojit_dokument_ke_dni') . '</div>';
        echo '<div class="col col-12 col-sm-8">';
        echo
            '<input class="inputDate" type="text" id="DatumSCOd" name="Dokument_Den" maxlength="10" size="10" ' .
            ' data-roncalendar-mindate="' . date('j.n.Y', $this ->denniVysledky ->datumOd) . '"  ' .
            ' data-roncalendar-maxdate="' . date('j.n.Y', $this ->denniVysledky ->datumDo) . '"  ' .
            '/>';

        echo '<i class="showcalendar inline-glyph glyph-button fa glyph-calendar" data-roncalendar-inputname="Dokument_Den"></i>';
        echo '</div>';

        echo '</div>';
    }

}
