<?php
/**
 * UTF8
 * stanislav.elbl, 25.11.2015
 */

namespace Ron\ELearning;

use Ron\MVC\Model;
use Ron\Personalistika\TypOdpovedi;
use Ron\StringUtils;

$model = Model::getInstance();

/** @var Test $test */
$test = $model['test'];
/** @var TestEKurzu $testEKurzu */
$testEKurzu = $model['testEKurzu'];
/** @var TypOdpovedi[] $typyOdpovedi */
$typyOdpovedi = $model['typyOdpovedi'];
/** @var PrilohaKurzu[] $prilohy */
$prilohy = $model['prilohy'];
?>
<h1 id="elearning_nadpis"><?= StringUtils::htmlTextConvert($test ->popisTematu) ?></h1>

<div id="elearning_container">

    <!-- seznam otazek -->
    <div id="elearning_osnova">
        <ul id="elearning_menu_osnova" class="linkslist">
            <li><a id="test_new_content" class="clickLink"><?= \Ron\ronText('Pridat_otazku_testu') ?></a></li>
        </ul>

        <ul class="elearning_menu_list" id="test_obsah_list">
        </ul>

        <div><a id="hromadnyImportLink" class="clickLink"><?= \Ron\ronText('Vlozit_otazky_hromadne') ?></a></div>
    </div>

    <ul id="test_otazky_menu" class="popupmenu">
        <li data-ron-akce="editovat"><?= \Ron\ronText('Editovat_otazku') ?></li>
        <li data-ron-akce="odstranit"><?= \Ron\ronText('Odstranit_otazku') ?></li>
    </ul>

    <!-- data - jednotlive zalozky -->
    <div id="elearning_data">

        <ul id="elearning_tabs">
            <li data-ron-tab="test_basic"><a id="test_menu_basic" href="#"><?= \Ron\_('Zakladni_informace') ?></a></li>
            <li data-ron-tab="test_otazka" class="active"><a id="test_menu_otazka" href="#"><?= \Ron\_('Otazka') ?></a></li>
        </ul>

        <div id="test_obsah">
            <!-- zaklani informace testu -->
            <div id="test_basic" style="display: none;">
                <div class="form form-30-70 large-form">
                    <div class="form-content">
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="kodTestu"><?= \Ron\ronText('Kod') ?></label></div>
                            <div class="form-col form-col2"><input id="kodTestu" value="<?= StringUtils::htmlTextConvert($test ->kod) ?>" maxlength="20"/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="popisTestu"><?= \Ron\ronText('Popis') ?></label></div>
                            <div class="form-col form-col2"><input type="text" id="popisTestu" class="form-input" value="<?= StringUtils::htmlTextConvert($test ->popisTematu) ?>" maxlength="120"/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="poznamkaTestu"><?= \Ron\ronText('Poznamka') ?></label></div>
                            <div class="form-col form-col2"><textarea id="poznamkaTestu" class="form-input" rows="6"><?= StringUtils::htmlTextConvert($test ->poznamkaTematu) ?></textarea></div>
                        </div>

                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="minPocetBodu"><?= \Ron\ronText('Minimalni_pocet_bodu') ?></label></div>
                            <div class="form-col form-col2"><input class="inputInt" id="minPocetBodu" value="<?= $test ->minPocetBodu ?>"/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="maxPocetBodu"><?= \Ron\ronText('Maximalni_pocet_bodu') ?></label></div>
                            <div class="form-col form-col2"><input class="inputInt" id="maxPocetBodu" value="<?= $test ->maxPocetBodu ?>"/></div>
                        </div>

                        <?php if ($testEKurzu) { ?>
                            <div class="form-row">
                                <div class="form-col form-col1 caption"><label for="pocetPokusu"><?= \Ron\ronText('Maximalni_pocet_pokusu') ?></label></div>
                                <div class="form-col form-col2"><input class="inputInt" id="pocetPokusu" value="<?= $testEKurzu ->pocetPokusu ?>"/></div>
                            </div>
                            <div class="form-row">
                                <div class="form-col form-col1 caption"></div>
                                <div class="form-col form-col2"><div class="forminfotext"><?= \Ron\ronText('Maximalni_pocet_pokusu_info') ?></div></div>
                            </div>

                            <div class="form-row">
                                <div class="form-col form-col1 caption"><label for="casovyLimit"><?= \Ron\ronText('Casovy_limit') ?></label></div>
                                <div class="form-col form-col2"><input class="inputInt" id="casovyLimit" value="<?= $testEKurzu ->casovyLimit ?>"/> <?= \Ron\ronText('Casovy_limit_sekund') ?></div>
                            </div>
                        <?php } ?>

                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="sirkaSloupce"><?= \Ron\ronText('Sirka_sloupce') ?></label></div>
                            <div class="form-col form-col2"><input class="inputInt" id="sirkaSloupce" value="<?= $test ->sirkaSloupce ?>"/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="editovatPoznamku"><?= \Ron\ronText('Editovat_poznamku') ?></label></div>
                            <div class="form-col form-col2"><input type="checkbox" id="editovatPoznamku" <?= $test ->editovatPoznamku ? 'checked="checked"' : '' ?>"/></div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="zobrazitOdpovediUspesne"><?= \Ron\ronText('Zobrazeni_odpovedi_uspesne') ?></label></div>
                            <div class="form-col form-col2">
                                <select id="zobrazitOdpovediUspesne">
                                    <option value="0" <?= !$test ->zobrazitOdpovediUspesne ? 'selected="selected"' : ''?>><?= \Ron\ronText('Nezobrazovat_odpovedi') ?></option>
                                    <option value="1" <?= $test ->zobrazitOdpovediUspesne == 1 ? 'selected="selected"' : ''?>><?= \Ron\ronText('Oznacit_spatne_odpovedi') ?></option>
                                    <option value="2" <?= $test ->zobrazitOdpovediUspesne == 2 ? 'selected="selected"' : ''?>><?= \Ron\ronText('Zobrazit_spravne_odpovedi') ?></option>
                                </select>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-col form-col1 caption"><label for="zobrazitOdpovediNeuspesne"><?= \Ron\ronText('Zobrazeni_odpovedi_neuspesne') ?></label></div>
                            <div class="form-col form-col2">
                                <select id="zobrazitOdpovediNeuspesne">
                                    <option value="0" <?= !$test ->zobrazitOdpovediNeuspesne ? 'selected="selected"' : ''?>><?= \Ron\ronText('Nezobrazovat_odpovedi') ?></option>
                                    <option value="1" <?= $test ->zobrazitOdpovediNeuspesne == 1 ? 'selected="selected"' : ''?>><?= \Ron\ronText('Oznacit_spatne_odpovedi') ?></option>
                                    <option value="2" <?= $test ->zobrazitOdpovediNeuspesne == 2 ? 'selected="selected"' : ''?>><?= \Ron\ronText('Zobrazit_spravne_odpovedi') ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="buttons">
                        <input type="submit" id="ulozitHlavickuTestu" value="<?= \Ron\ronText('OK') ?>" class="submitbutton">
                    </div>
                </div>
            </div>

            <!-- otazka -->
            <div id="test_otazka">
                <div class="form large-form">
                    <div class="form-content" id="editace_otazky">
                        <div class="row">
                            <div class="col-2 caption"><label for="kodOtazky"><?= \Ron\ronText('Kod') ?></label></div>
                            <div class="col-10">
                                <input name="kodOtazky" id="kodOtazky" maxlength="10">
                                <span id="otazka_buttons" class="float-right">
                                    <a id="otazka_cancel" href="#"><i class="fa inline-glyph glyph-button glyph-cancel"></i></a>
                                    <a id="otazka_save" href="#"><i class="fa inline-glyph glyph-button glyph-ok"></i></a>
                                </span>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-2 caption">
                                <label for="popisOtazky"><?= \Ron\ronText('Text_otazky') ?></label>
                            </div>
                            <div class="col-10">
                                <input class="form-input priloha-target" name="popisOtazky" id="popisOtazky" maxlength="250">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-2 caption">
                                <label for="upresnujiciPopis"><?= \Ron\ronText('Pokracovani_textu_otazky') ?></label>
                            </div>
                            <div class="col-10">
                                <textarea class="form-input editor priloha-target" name="upresnujiciPopis" id="upresnujiciPopis" rows="5"></textarea>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-2 caption">
                                <label for="povinnaOdpoved"><?= \Ron\ronText('Povinna_odpoved') ?></label>
                            </div>
                            <div class="col-10">
                                <input type="checkbox" name="povinnaOdpoved" id="povinnaOdpoved">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-2 caption">
                                <label for="bodovaVaha"><?= \Ron\ronText('Bodova_vaha') ?></label>
                            </div>
                            <div class="col-10">
                                <input name="bodovaVaha" id="bodovaVaha" maxlength="5" size="5">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-2 caption">
                                <label for="typRozsahu"><?= \Ron\ronText('Zpusob_odpovedi') ?></label>
                            </div>
                            <div class="col-10">
                                <select name="typRozsahu" id="typRozsahu"></select>
                            </div>
                        </div>

                        <div class="spravneOdpovedi" id="spravnaHodnotaBody">
                            <div class="row">
                                <!-- editace spravne hodnoty -->
                                <div class="col-2 caption">
                                    <label for="spravnaHodnota"><?= \Ron\ronText('Spravna_odpoved') ?></label>
                                </div>
                                <div class="col-10">
                                    <input type="text" class="form-input" id="spravnaHodnota"/>
                                </div>
                            </div>
                        </div>

                        <div class="spravneOdpovedi" id="vycetOdpovediHeader">
                            <div class="row">
                                <div class="col-2"></div>
                                <div class="col-7"><?= \Ron\ronText('Text_odpovedi') ?></div>
                                <div class="col-1"><?= \Ron\ronText('Hodnota') ?></div>
                                <div class="col-1"><?= \Ron\ronText('Koeficient') ?></div>
                                <div class="col-1"><!-- tlacitka atd. --></div>
                            </div>
                        </div>

                        <div class="spravneOdpovedi" id="vycetOdpovedi">
                        </div>

                        <div class="spravneOdpovedi" id="tlacitkaOdpovedi">
                            <div class="row">
                                <div class="col-2"></div>
                                <div class="col-10">
                                    <a id="pridatOdpoved" href="#"><?= \Ron\ronText('Pridat_odpoved') ?></a>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>
    </div>

    <div id="elearning_prilohy">
        <div class="inputtablesection"><?= \Ron\ronText('Prilohy') ?></div>
        <!--        <a href="">--><?//= Ron\ronText('Pridat_prilohu') ?><!--</a>-->
        <ul class="elearning_menu_list media-list" id="kurz_prilohy" data-id-revize="<?= $testEKurzu ->idRevize ?>">
        </ul>

        <i class="fa fa-spin glyph-spinner position-absolute position-top position-right margin-all-2 loading-indicator"></i>
    </div>


    <div id="importOtazek" class="rondialog" title="<?= \Ron\ronText('Import_otazek') ?>">
        <div><?= \Ron\ronText('Zadejte_texty_otazek_a_odpovedi') ?></div>
        <div><textarea id="importOtazekText" cols="90" rows="15"></textarea></div>
        <div id="nahledImportuOtazek" class="borders margin-top light-borders"><?= \Ron\ronText('Nahled_otazek') ?></div>
        <div class="buttons">
            <input id="btnImportOK" type="button" class="submitbutton" value="<?= \Ron\ronText('Importovat_otazky') ?>"/>
            <input id="btnImportStorno" type="button" class="button cancel" value="<?= \Ron\ronText('Storno') ?>"/>
        </div>
    </div>

    <div id="workingInfo" class="workingInfo" style="display: none;">

    </div>

</div>

<script type="text/javascript">
    $( function() { ronPortal.elearning.initEditaceTestu( {

            test : <?= $test ->getJson() ?>,
            typyOdpovedi : <?= json_encode(TypOdpovedi::getJsonList($typyOdpovedi)) ?>,
            testEKurzu : <?= $testEKurzu ? $testEKurzu ->getJson() : null ?>,
            prilohy : <?= json_encode(PrilohaKurzu::getJsonPrilohy($prilohy)) ?>
        } ); } );
</script>
