<?php

/**
 * UTF8
 */

namespace Ron\Jidelna;

use Ron\DB\SqlStatement;
use Ron\RonPortal\Prava;
use Ron\RonPortal\RonPortalBrowser;
use Ron\RonPortal\RonPortalFilterForm;
use Ron\RonPortal\RonPortalSession;

require_once('adsapp/ronportalbrowser.php');

class StravenkyBrowser extends RonPortalBrowser
{

    function __construct($database)
    {
          parent::__construct($database, 'stravenky');


          $this ->title = \Ron\ronText('Stravenky');

          // definice dotazu a hlavicky
          $this ->sqlFromPart = 'PohybStravenek, TypStravenky';
          $this ->sqlWherePart = 'TypStravenky.Kod=PohybStravenek.TypStravenky';

          $this ->defaultSort = -1;
          $this ->primaryField = 0;

          $this ->addField( [
              BROWSER_FIELD_SQL_NAME => 'PohybStravenek.Datum', BROWSER_FIELD_HEADER => \Ron\ronText('Datum_a_cas'), BROWSER_FIELD_FORMAT => 'datetime',
              BROWSER_FIELD_ALIGN => 'right', BROWSER_FIELD_ORDERING => 1] );
          $this ->addField( [
              BROWSER_FIELD_SQL_NAME => 'TypStravenky.Popis', BROWSER_FIELD_HEADER => \Ron\ronText('Typ_stravenky'), BROWSER_FIELD_ORDERING => 1] );
          $this ->addField( [
              BROWSER_FIELD_SQL_NAME => 'TypStravenky.Hodnota', BROWSER_FIELD_HEADER => \Ron\ronText('Hodnota'), BROWSER_FIELD_FORMAT => 'curr', BROWSER_FIELD_ALIGN => 'right', BROWSER_FIELD_ORDERING => 1] );
          $this ->addField( [
              BROWSER_FIELD_SQL_NAME => 'ABS(PohybStravenek.Pocet)', BROWSER_FIELD_HEADER => \Ron\ronText('Pocet'), BROWSER_FIELD_ALIGN => 'right', BROWSER_FIELD_ORDERING => 1] );
          $this ->addField( [
              BROWSER_FIELD_SQL_NAME => 'ABS(TypStravenky.Hodnota * PohybStravenek.Pocet)', BROWSER_FIELD_HEADER => \Ron\ronText('Celkem'),
              BROWSER_FIELD_FORMAT => 'curr', BROWSER_FIELD_ALIGN => 'right', BROWSER_FIELD_ORDERING => 1] );

    }


    function setFilterForm()
    {
        $this ->filterForm = new RonPortalFilterForm($this ->database, $this ->action);
        $this ->filterForm ->nastavAkciGet('stravenky');

        $prava = Prava::vratPrava('prohl_jidelna');
        $this -> filterForm ->nastavOsoby(true, $prava, 0, 0); // datum od-do podle obdobi
    }


    function getSQLFilter()
    {
        $params = $this ->database ->createParameters();
        return new SqlStatement(
            ' PohybStravenek.RC = ' . $params->addParameter(RonPortalSession::osobaRC()),
            $params);
    }

}
