<?php
/**
 * UTF8
 * stanislav.elbl, 16.07.2015
 */

namespace Ron\Kapacity;

use Ron\DB\Database;
use Ron\Http\App;
use Ron\Http\HttpResponse;
use Ron\MVC\Model;
use Ron\RonPortal\Prava;
use Ron\RonPortal\RonPortalReport;
use Ron\RonPortal\RonPortalSession;
use Ron\RonPortal\RonPortalSettings;
use Ron\RonPortal\RonPortalXMLEvents;
use Ron\RonPortal\TypRozdeleni;
use Ron\RonPortal\XML\RonPortalXMLForm;
use Ron\RonPortal\XML\XMLForm;
use Ron\StringUtils;

global $STR_PKZpracovanoDo;     // uz jen pro kompatibilitu starych prekladu!
global $STR_PKZkontrolovanoDo;  // -||-
global $STR_PKSchvalenoDo;      // -||-

/** @var TypRozdeleni $typRozdeleni2 */
$typRozdeleni2 = Model::getInstance() ->getData('typRozdeleni2');
/** @var RonPortalReport[] $reportList */
$reportList = Model::getInstance() ->getData('reportList');
$sirkaBunky = Model::getInstance() ->getData('sirkaBunky');
$vyskaBunky = Model::getInstance() ->getData('vyskaBunky');
$provadetKontroly = Model::getInstance() ->getData('provadetKontroly');
$planovaniPoSlotech = Model::getInstance() ->getData('planovaniPoSlotech');
$rezimUprav = Model::getInstance() ->getData('rezimUprav');
/** @var Database $database */
$database = Model::getInstance() ->getData('database');

?>
<!DOCTYPE html>
<html>
<head>
    <?php
    require('ron/apphead.php');
    require('adsapp/apphead.php');

    if ( !RonPortalSettings::getIntValue(RonPortalSettings::KAPACITY_EDITACE) ) { ?>
        <div class="errormsg">Tato funkce je vypnuta!</div>
    <?php
        die;
    }

    if ( App::getDebugMode() ) {
        // Do logu zapise headery, ktere odeslal
        HttpResponse::getInstance() ->getHeaders() ->renderDebugScript();
    }

    global $appVersion;
    $jsparam = '?param='.$appVersion;
    ?>

    <script src="script/kapacity.js<?= $jsparam ?>" type="text/javascript"></script>

    <script type="text/javascript">
        <!--
        window.onerror = function (msg, url, line) {
            console.log( "Chyba na radku " + line + ": " + msg + "\n(" + url + ")" );
        };

//        var planovaniInitData = {
//            rozdeleni: "<?//= StringUtils::htmlTextConvert(RonPortalSession::rozdeleni()) ?>//"
//        };

        //-->
    </script>
    <!-- Nastaveni sirky a vysky bunky  -->
    <style>
        <?php if ($sirkaBunky) { ?>
        .planovani_datacol td, .planovani_datacol th, .planovani_bunka {
            width:<?= $sirkaBunky ?>px;
            /* POZOR! Bez min a max to nefunguje! */
            max-width:<?= $sirkaBunky ?>px;
            min-width:<?= $sirkaBunky ?>px;
        }
        <?php }?>
        <?php if ($vyskaBunky) { ?>
        .planovani_datarows tr {
            height:<?= $vyskaBunky ?>px;
        }
        .planovani_bunka {
            height:<?= $vyskaBunky - 1 ?>px;
        }
        <?php } ?>
    </style>
</head>
<body class="bodykapacity">
<div class="planovani_window <?= $rezimUprav ? 'rezim_uprav' : 'rezim_planovani' ?> <?= $planovaniPoSlotech ? 'planovani-slotu' : '' ?>" id="planovani_window">

    <div id="kapacity_header">
        <div class='planovani_exit'>
            <input type="button" class="button" value="<?= \Ron\ronText('Zavrit_planovani') ?>" onClick='window.location ="?menuid=kapacity"' />
        </div>

        <table class='filtertable'>
            <tbody>
            <tr>
                <!-- refresh -->
                <td><i class="inline-glyph glyph-button fa glyph-refresh" id="kapacity_refresh"></i></td>

                <!-- filtr rozdeleni -->
                <td id='nadpisrozdeleni'><?= \Ron\ronText('Rozdeleni_PK') ?></td>
                <td id='vyberrozdeleni'>
                    <input id="rozdeleni_kod" />
                    <input id="rozdeleni_popis" />
                </td>
                <td rowspan='2'>
                    <div class="planovani_toolbar" id="kapacity_toolbar">
                        <input type="button" class="button" id="tlacitkoprepocet" value="<?= \Ron\ronText('Prepocitat') ?>" style="display:none" />
                        <ul id="prepocet_menu" class="popupmenu">
                            <li data-ron-prepocet="1"><?= \Ron\ronText('Prepocitat_aktualni') ?></li>
                            <li data-ron-prepocet="2"><?= \Ron\ronText('Prepocitat_vybrane') ?></li>
                            <li><?= \Ron\ronText('Prepocitat_vse') ?></li>
                        </ul>

                        <input type="button" class="button" id="tlacitkopodlekalendare" value="<?= \Ron\ronText('Podle_kalendare') ?>" />

                        <?php if($provadetKontroly) { ?>
                        <input type="button" class="button" id="tlacitkomenu" value="<?= \Ron\ronText('Dalsi_funkce_menu') ?>" />
                        <ul id="dalsi_funkce_menu" class="popupmenu">
                            <li id="provest_kontroly"><?= \Ron\ronText('Provest_kontroly') ?></li>
                            <!-- tu se mohou doplnit dalsi funkce - XML nebo skripty -->
                        </ul>
                        <?php } ?>
                    </div>
                    <div class="planovani_toolbar" id="kapacity_rezim">
                        <button class="planovani_rezim aktivni_rezim" id="rezim_planovani" value="planovani" ><?= \Ron\ronText('Rezim_planovani') ?></button>
                        <button class="planovani_rezim" value="upravy" id="rezim_uprav" ><?= \Ron\ronText('Rezim_uprav') ?></button>
                    </div>
                </td>

                <!-- info kalendar -->
                <td class="info_caption"><?= \Ron\ronText('Kalendar') ?>: </td>
                <td id='info_kalendar'></td>

                <td class="info_caption" id="info_smena_caption"><?= \Ron\ronText('Smena') ?>:</td>
                <td id='info_smena'></td>
            </tr>

            <tr>
                <!-- tisk -->
                <td>
                    <?php if (count($reportList)) { ?>
                        <i class="xplanovani_button fa inline-glyph glyph-button glyph-print" id="kapacity_print"></i>
                        <ul id="report_menu" class="popupmenu">
                            <?php foreach ($reportList as $report) { ?>
                                <li data-ron-kod="<?= StringUtils::htmlTextConvert($report ->kod) ?>"><?= StringUtils::htmlTextConvert($report ->nazev) ?></li>
                            <?php } ?>
                        </ul>
                    <?php } ?>
                </td>

                <!-- filtr obdobi -->
                <td id='nadpisobdobi'><?= \Ron\ronText('Obdobi') ?></td>
                <td id='vyberobdobi'>
                    <select id='obdobi_select'></select>
                    <span id="kapacity_uzamceno"><i class="inline-glyph fa glyph-lock"></i></span>
                </td>

                <td></td>

                <!-- info absence -->
                <td colspan="2" class="info_caption"><?= \Ron\ronText('Absence_udalost') ?>: </td>
                <td id='info_absence'></td>
            </tr>
            </tbody>
        </table>

      <span id='info_text'>
      </span>
    </div>

    <div id="kapacity_content">
        <!-- obsah - hlavicky, data, scrollbary -->
        <div id="horizontalscrollbar" class="scrollbar horizontalscroll" style="display:none"></div>
        <div id="verticalscrollbar" class="scrollbar verticalscroll" style="display:none"></div>
        <div id="patickascrollbar" class="scrollbar verticalscroll" style="display:none"></div>

        <div id="kapacity_left">
            <!-- leva cast - nadpisy sloupcu a hlavicky radku -->

            <div id="kapacity_nadpisy" class="kapacity_dataheader">
                <!-- nadpisy sloupcu Os.cislo | Jmeno - pevna poloha -->
            </div>

            <div id="kapacity_rowheadercontainer">
                <div id='kapacity_rowheader' class='planovani_rowheader'>
                    <!-- hlavicka radku (jmena osob atd.) - vertikalni posun stejne jako data -->
                </div>
            </div>

            <div id="kapacity_nadpisypatickycontainer" class="planovani_footer">
                <div id="kapacity_nadpisy_paticky">
                    <!-- paticka (nadpis "celkem", nadpisy smen) -->
                </div>
            </div>
        </div>

        <div id="kapacity_dataframe">
            <!-- pevny div pro zobrazeni dat -->

            <div id="kapacity_container">
                <!-- kontejner pro nadpisy dnu, samotny obsah a paticku - posouva se horizontalne -->

                <div id="kapacity_nadpisydnu" class="kapacity_dataheader"></div>
                <!-- nadpisy dnu (kalendar) - vzdy nahore, pevna poloha v ramci nadrazeneho kontejneru -->

                <div id="kapacity_datacontainer">
                    <div id="kapacity_data"><!-- data planovani - vertikalni pousun --></div>
                </div>

                <div id="kapacity_patickacontainer" class="planovani_footer">
                    <div id="kapacity_paticka"></div>
                </div>
            </div>

        </div>
    </div>


    <!-- legenda - umisteni vpravo -->
    <div id='kapacity_legenda' class='planovani_legendadiv'>
        <!-- ovladani zuzeni legendy -->
        <div>
            <span id="kapacity_legenda_nastavvelikost2" class="inline-glyph glyph-button fa glyph-right"></span>
            <span id="kapacity_legenda_nastavvelikost1" class="inline-glyph glyph-button fa glyph-left"></span>
        </div>

        <!-- absence a udalosti -->
        <div class="planovani_obsahlegendy">
            <div class="planovani_legenda_caption"><?= \Ron\ronText('Absence_a_udalosti') ?></div>
            <table class="planovani_legenda" id="kapacity_legenda_absence"></table>
        </div>

        <!-- smeny -->
        <div class="planovani_obsahlegendy">
            <span id="kapacity_legenda_vybersmen" class="inline-glyph glyph-button fal fa-ellipsis-h"></span>
            <div class="planovani_legenda_caption"><?= \Ron\ronText('Smeny_PK') ?></div>
        </div>

        <div class="planovani_obsahlegendy">
            <table class="planovani_legenda" id="kapacity_legenda_smeny"></table>
        </div>

        <div class="planovani_obsahlegendy" id="kapacity_harmonogramy">
            <div class="planovani_legenda_caption"><?= \Ron\ronText('Harmonogramy_PK') ?></div>
            <table class="planovani_legenda" id="kapacity_legenda_harmonogramy"></table>
        </div>

        <div class="planovani_obsahlegendy">
            <div class="planovani_legenda_caption"><?= \Ron\ronText('Podminky_planovani') ?></div>
            <table class="planovani_legenda" id="kapacity_legenda_podminky"></table>
        </div>
    </div>

</div>


<textarea cols="1" rows="1" style='position: absolute; left:-1000px;top:-1000px;width:0;height:0;' id='kapacity_clipboard'></textarea>  <!-- onPaste='clipboardPaste(event)' -->
<!-- kopirovani do clipboardu -->


<div id='kapacity_progress' class='planovani_progress' style='display:none'></div>


<!-- nastaveni variabilni smeny pri vkladani -->
<div id='kapacity_variabilni' class='rondialog'>
    <input type='hidden' id='planovani_variabilni_kodsmeny' name='variabilnismena_kod' value='' />

    <div id='kapacity_variabilnidata'>

        <?= \Ron\ronText('Variabilni_smena_od') ?>
        <input id='planovani_variabilni_smena_pocatek' class="app_input inputTime" type="text" name="variabilnismena_pocatek" maxlength="5" size="5" value="" />
        &nbsp;&nbsp; <?= \Ron\ronText('Variabilni_smena_do') ?>
        <input id='planovani_variabilni_smena_konec' class="app_input inputTime" type="text" name="variabilnismena_konec" maxlength="5" size="5" value="" />
        &nbsp;&nbsp; <?= \Ron\ronText('Variabilni_smena_delka') ?>
        <input id='planovani_variabilni_smena_delka' class="app_input inputTime" type="text" name="variabilnismena_delka" maxlength="5" size="5" value="" />
    </div>

    <div class="buttons">
        <button id="planovani_variabilni_ok"     type="button" class="submitbutton"><?= \Ron\ronText('OK') ?></button>
        <button id="planovani_variabilni_storno" type="button" class="button"><?= \Ron\ronText('Cancel') ?></button>
    </div>
</div>

<!-- nastaveni delene smeny pri vkladani -->
<div id='kapacity_delena' class='rondialog'>
    <input type='hidden' id='planovani_delena_kodsmeny' name='planovani_delena_kodsmeny' value='' />

    <div id='kapacity_delenadata'>

        <table>
            <tr>
                <td class="align-right"><?= \Ron\ronText('Delena_smena_od') ?></td>
                <td><input id='planovani_delena_smena_pocatek' class="app_input inputTime" type="text" name="delenasmena_pocatek" maxlength="5" size="5" value="" /></td>

                <td class="align-right"><?= \Ron\ronText('Delena_smena_do') ?></td>
                <td><input id='planovani_delena_smena_konec' class="app_input inputTime" type="text" name="delenasmena_konec" maxlength="5" size="5" value="" /></td>
            </tr>

            <tr>
                <td class="align-right"><?= \Ron\ronText('Delena_preruseni_od') ?></td>
                <td><input id='planovani_delena_smena_preruseni_od' class="app_input inputTime" type="text" name="delenasmena_preruseniod" maxlength="5" size="5" value="" /></td>

                <td class="align-right"><?= \Ron\ronText('Delena_preruseni_do') ?></td>
                <td><input id='planovani_delena_smena_preruseni_do' class="app_input inputTime" type="text" name="delenasmena_prerusenido" maxlength="5" size="5" value="" /></td>
            </tr>
        </table>
    </div>

    <div class="buttons">
        <button id="planovani_delena_ok"     type="button" class="submitbutton"><?= \Ron\ronText('OK') ?></button>
        <button id="planovani_delena_storno" type="button" class="button"><?= \Ron\ronText('Cancel') ?></button>
    </div>
</div>

<!-- formular pro presun na jine rozdeleni -->
<?php require 'kapacity/view_zmenarozdeleni.php'; ?>

<!-- formular s detailem (poznamky atd.) -->
<?php require('kapacity/view_detail.php'); ?>

<div id="kontrolyPlanovani" title="<?= \Ron\ronText('Kontroly') ?>" class="rondialog" style="display:none">

    <div id="kontrolyPlanovaniData">
        <table id="kontrolyPlanovaniTable" class="browser">
        </table>
    </div>

    <div class="buttons">
        <input id="kontrolyPlanovaniOK" type="button" class="button" value="<?= \Ron\ronText('OK') ?>" />
    </div>
</div>

<!-- formular pro vyber delky absence -->
<?php require('kapacity/view_absence.php'); ?>

<!-- nastaveni, vyber oblibenych smen -->
<div id="kapacity_nastaveni" title="<?= \Ron\ronText('Uzivatelske_nastaveni_kapacit') ?>" class="rondialog">
    <ul id="kapacity_nastaveni_zalozky">
        <li data-ron-tab="kapacity_zakladninastaveni"><a><?= \Ron\ronText('Nastaveni_vzhledu_kapacit')?></a></li>
        <li data-ron-tab="kapacity_smenyuzivatele"><a><?= \Ron\ronText('Vybrane_smeny_uzivatele') ?></a></li>
    </ul>

    <div id="kapacity_nastaveni_stranky" style="min-height:100px; xdisplay: none">
        <div id="kapacity_zakladninastaveni" class="kapacity_stranka_nastaveni">
            <table>
                <tr>
                    <td><?= \Ron\ronText('Sirka_bunky') ?></td>
                    <td><input id="kapacity_nastaveni_sirka"></td>
                </tr>
                <tr>
                    <td><?= \Ron\ronText('Vyska_bunky') ?></td>
                    <td><input id="kapacity_nastaveni_vyska"></td>
                </tr>
            </table>
        </div>
        <div id="kapacity_smenyuzivatele" class="kapacity_stranka_nastaveni"></div>
    </div>

    <div id="kapacity_vybersmen_buttons" class="buttons">
        <button type="button" id="kapacity_vybersmen_ok" class="submitbutton"><?= \Ron\ronText('OK') ?></button>
        <button type="button" id="kapacity_vybersmen_storno" class="button"><?= \Ron\ronText('Cancel') ?></button>
    </div>
</div>

<!-- popup menu -->
<ul id="kapacity_popupmenu" class="popupmenu">
    <!-- potvrzovani -->
    <li id="kapacity_menu_potvrdit"><?= \Ron\ronText('Potvrdit_plan') ?></li>
    <li id="kapacity_menu_zrusitpotvrzeni"><?= \Ron\ronText('Zrusit_potvrzeni_planu') ?></li>
    <?php if (RonPortalSettings::getIntValue(RonPortalSettings::KAPACITY_TYP_ROZDELENI)) { ?>
        <li id="kapacity_menu_rozdeleni" class="margin-top"><?= \Ron\ronText('Presunout_na_rozdeleni') ?></li>
    <?php } ?>

    <?php if (RonPortalSettings::getIntValue(RonPortalSettings::KAPACITY_TYP_ROZDELENI2)) { ?>
        <!-- doplnit separator, kdyz neni KAPACITY_TYP_ROZDELENI? -->
        <li id="kapacity_menu_rozdeleni2"><?= sprintf(\Ron\ronText('Presunout_na_rozdeleni_2'), $typRozdeleni2 ? $typRozdeleni2 ->popis : '') ?></li>
    <?php } ?>

    <!-- schvalovani -->
    <?php
    $jeSchvaleni = false;
    if ( Prava::vratPrava('kapac_schval1') ->jsouNejakePrava() ) {
        ?>
        <li id="kapacity_menu_schvaleni1" class="margin-top"><?= $STR_PKZpracovanoDo ?: \Ron\ronText('Planovani_schvaleno_do_1') ?> <span id="kapacity_menu_hodnotaschvaleni1" class="textschvaleni1"></span></li>
    <?php $jeSchvaleni = true; } ?>
    <?php
    if ( Prava::vratPrava('kapac_schval2') ->jsouNejakePrava() ) {
        ?>
        <li id="kapacity_menu_schvaleni2" <?= $jeSchvaleni ? '' : 'class="margin-top"' ?>><?= $STR_PKZkontrolovanoDo ?: \Ron\ronText('Planovani_schvaleno_do_2') ?> <span id="kapacity_menu_hodnotaschvaleni2" class="textschvaleni2"></span></li>
    <?php $jeSchvaleni = true; } ?>
    <?php
    if ( Prava::vratPrava('kapac_schval3') ->jsouNejakePrava() ) {
        ?>
        <li id="kapacity_menu_schvaleni3" <?= $jeSchvaleni ? '' : 'class="margin-top"' ?>><?= $STR_PKSchvalenoDo ?: \Ron\ronText('Planovani_schvaleno_do_3') ?> <span id="kapacity_menu_hodnotaschvaleni3" class="textschvaleni3"></span></li>
    <?php $jeSchvaleni = true; } ?>

    <li id="kapacity_menu_podlekalendare" <?= $jeSchvaleni ? 'class="margin-top"' : '' ?>><?= \Ron\ronText('Podle_kalendare') ?></li>

    <li id="kapacity_menu_podrobnosti" class="margin-top"><?= \Ron\ronText('Podrobnosti') ?></li>
</ul>


<!-- obecny formular - obsah generovany javascriptem -->
<div id='kapacity_dialog' class='planovani_formcontainer' style='display:none'>
    <table class="planovani_form">
        <tr><td><div id='kapacity_dialogcaption' class='planovani_formcaption'>dialog</div></td></tr>

        <tr><td><div id="kapacity_dialogcontent" class="kapacity_dialogcontent"></div></td></tr>
    </table>
</div>

<?php
// doplni pripadne uzivatelske funkce z XML formularu (dialogy, javascripty)
try {
    require_once('adsapp/events.php');
    require_once('xml/xmlformportal.php');

    echo RonPortalXMLForm::xmlEvents($database, RonPortalXMLEvents::KAPACITY_SHOW, null, '', true);
} catch (\Exception $e) {
?>
    <div title="CHYBA" id="chyba_xml_info">
        Pri nacitani formulare PK_Show doslo k chybe!<br/>
        <div class="errortext"><?= $e ->getMessage() ?></div>
    </div>

    <script type="text/javascript">
        $( function() {
            $("#chyba_xml_info").dialog();
        });
    </script>
<?php
}
?>

</body>
</HTML>
