<?php

namespace Ron\RonPortal;

require_once('ron/browser.php');

use Ron\Browser;

class SrazkyBrowser extends Browser
{
    function __construct($database)
    {
        parent::__construct($database);

        $this -> title = \Ron\ronText('Srazky_ze_mzdy');

        // definice dotazu a hlavicky
        $this -> sqlFromPart =
            "(NastaveniSrazky LEFT OUTER JOIN ProvedenaSrazka ".
            " ON ProvedenaSrazka.KodSrazky = NastaveniSrazky.KodSrazky ".
            " AND ProvedenaSrazka.SerioveCislo = NastaveniSrazky.SerioveCislo )".
            " INNER JOIN TypSrazky ON NastaveniSrazky.KodSrazky = TypSrazky.Kod ";


        $this -> sqlWherePart =
            " NastaveniSrazky.PlatnostOd <= " . $database ->timestampToString( time() ) .
            " AND ( NastaveniSrazky.PlatnostDo >= " . $database ->timestampToString( time() ) . " OR NastaveniSrazky.PlatnostDo IS NULL ) " .
            " AND NastaveniSrazky.RC = '" . $database ->addSlashes(RonPortalSession::osobaRC()) . "' " .
            " AND NastaveniSrazky.OsobniCislo = '" . $database ->addSlashes(RonPortalSession::osobaOsobniCislo()) . "' " .
            " AND NastaveniSrazky.DatumNastupu = " . $database ->timestampToString(RonPortalSession::osobaNastup());

        $this -> sqlGroupByPart =
            "NastaveniSrazky.SerioveCislo, NastaveniSrazky.KodSrazky, TypSrazky.Popis, NastaveniSrazky.PlatnostOd, NastaveniSrazky.PlatnostDo, ".
            "NastaveniSrazky.CastkaCelkova, NastaveniSrazky.CastkaMesicni ";

        $this ->sqlSelectPart =
            'NastaveniSrazky.SerioveCislo, NastaveniSrazky.KodSrazky, TypSrazky.Popis, ' .
            'NastaveniSrazky.PlatnostOd, NastaveniSrazky.PlatnostDo, ' .
            'NastaveniSrazky.CastkaCelkova, NastaveniSrazky.CastkaMesicni, SUM(ProvedenaSrazka.SrazenaCastka)';

        $this -> defaultSort = 0;
        $this -> primaryField = 0;

        $this ->addField( [BROWSER_FIELD_SQL_INDEX => 2, BROWSER_FIELD_SQL_NAME => 'TypSrazky.Popis', BROWSER_FIELD_HEADER => \Ron\ronText('Typ_srazky')] );
        $this ->addField( [BROWSER_FIELD_SQL_INDEX => 3, BROWSER_FIELD_SQL_NAME => 'NastaveniSrazky.PlatnostOd', BROWSER_FIELD_HEADER => \Ron\ronText('Platnost_od'), BROWSER_FIELD_FORMAT => 'date'] );
        $this ->addField( [BROWSER_FIELD_SQL_INDEX => 4, BROWSER_FIELD_SQL_NAME => 'NastaveniSrazky.PlatnostDo', BROWSER_FIELD_HEADER => \Ron\ronText('Platnost_do'), BROWSER_FIELD_FORMAT => 'date'] );
        $this ->addField( [BROWSER_FIELD_SQL_INDEX => 5, BROWSER_FIELD_SQL_NAME => 'NastaveniSrazky.CastkaCelkova', BROWSER_FIELD_HEADER => \Ron\ronText('Srazka_celkem'), BROWSER_FIELD_FORMAT => 'curr', BROWSER_FIELD_ALIGN => 'right'] );
        $this ->addField( [BROWSER_FIELD_SQL_INDEX => 6, BROWSER_FIELD_SQL_NAME => 'NastaveniSrazky.CastkaMesicni', BROWSER_FIELD_HEADER => \Ron\ronText('Srazka_mesicni'), BROWSER_FIELD_FORMAT => 'curr', BROWSER_FIELD_ALIGN => 'right'] );
        $this ->addField( [BROWSER_FIELD_SQL_INDEX => 7, BROWSER_FIELD_SQL_NAME => 'SUM(ProvedenaSrazka.SrazenaCastka)', BROWSER_FIELD_HEADER => \Ron\ronText('Jiz_srazeno'), BROWSER_FIELD_FORMAT => 'curr', BROWSER_FIELD_ALIGN => 'right'] );
    }
}
