<?php

namespace Ron\RonPortal;

use Ron\DB\Database;
use Ron\DB\SqlStatement;

require_once('adsapp/dokumentyutils.php');
require_once('adsapp/b_dokumenty.php');

class NovyDokumentProhlaseniForm extends DokumentUploadForm
{

    function __construct($database, $rok, $idPP)
    {
        parent::__construct($database, '?menuid=dane&action=dokumentupload');

        $this->typDokumentu = RonPortalSettings::getIntValue('dane_dokumenty_deti_typ');

        $this->target = null;

        $this->hiddenFields = [
            'dokumentprohlasenityp' => '',
            'rok' => $rok,
            'idosoby' => $idPP,
        ];
    }
}

class DokumentyProhlaseniBrowser extends DokumentyBrowser
{
    /**
     * DokumentyProhlaseniBrowser constructor.
     * @param Database $database
     * @param $rok
     * @param PracovniPomer $pp
     * @param $typDokumentu
     * @param bool $editovat
     */
    function __construct($database, $rok, $pp, $typDokumentu, $editovat)
    {
        parent::__construct($database, "?menuid=dane&action=dokumentdownload&osoba=$pp->idPP&rok=$rok", $editovat ? 1 : 0, "?menuid=dane&action=dokumentdelete&osoba=$pp->idPP&rok=$rok");

        $this->sqlFromPart = 'Dokument, TypDokumentu, DokumentyOsoby';

        $params = $database ->createParameters();
        $this->sqlWherePart = new SqlStatement(
            'Dokument.Id = DokumentyOsoby.Id ' .
            ' AND TypDokumentu.Kod = Dokument.Typ ' .
            " AND YEAR(DokumentyOsoby.VyuctovaniDane_Rok) = " . $params->addParameter($rok) .
            " AND DokumentyOsoby.VyuctovaniDane_RC = " . $params->addParameter($pp->rc) .
            " AND Dokument.Typ = " . $params->addParameter($typDokumentu),
                $params);
    }
}