<?php
/**
 * UTF8
 * stanislav.elbl, 02.11.2015
 */

namespace Ron\RonPortal\Settings;

use Ron\Preference;
use Ron\Preferences;

if (isset($_POST['preferencesName'])  &&  $_POST['preferencesName'] == 'absence') {
    if (isset($_POST['pregenerovatklic'])) {

    }
}

$absenceInitPreferences = [
    'caption' => 'nastaveni_schvalovani_absenci',
    'category' => 'nastaveni_sekce_planovani',
    'name'  => 'absence',
    'index' => 250,
    'storage' => 'nastaveni',
    'strings' => 'preferences_absence.ini',

    'items' =>
        [
            [
                'name'  => 'zakazatabsencepoukonceni', 'type'  => Preference::CHECKBOX,    'title' => 'absence_zakazat_planovat_po_ukonceni_pp',
                'defaultValue' => 0
            ],
            // planovani absence pri schvalene dochazce
            [
                'name'  => 'povolitabsenceprischvalenidoch', 'type'  => Preference::COMBOBOX,    'title' => 'absence_povolit_planovat_pri_schvalene_dochazce',
                'options'   => ['0' => 'absence_pri_schvalene_zakazat', '1' => 'absence_pri_schvalene_1', '2' => 'absence_pri_schvalene_2', '3' => 'absence_pri_schvalene_3'],
                'defaultValue' => '0',
                'infoText' => 'absence_povolit_planovat_pri_schvalene_dochazce_info'
            ],
            // rozdeleni
            [
                'name'  => 'typrozdeleniabsence',   'type'  => Preference::SQL_COMBOBOX,    'title' => 'Typ_rozdeleni_absence',
                'defaultValue' => '',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY Kod'
            ],
            // zaokrouhlovanicasu
            [
                'name'  => 'zaokrouhleniabsence',   'type'  => Preference::TEXT,    'title' => 'absence_zaokrouhleni',
                'defaultValue' => '',
                'infoText' => 'absence_zaokrouhleni_info'
            ],

            // schvalovani ...
            [
                'name'  => 'schvalovaniabsence',    'type'  => Preference::CHECKBOX,    'title' => 'absence_pouzivat_schvalovani',
                'readOnly' => true
            ],

            // povolit prekryvani neschvalenych
            [
                'name'  => 'prekryvaniabsenci',     'type'  => Preference::CHECKBOX,    'title' => 'absence_povolit_prekryvani_neschvalenych',
                'defaultValue' => 0,
                'infoText' => 'absence_povolit_prekryvani_neschvalenych_info'
            ],

            // povolit schvaleni bez prihlaseni
            [
                'name'  => 'schvalabs_bezprihlaseni',   'type'  => Preference::CHECKBOX,    'title' => 'absence_schvalovani_bez_prihlaseni',
                'defaultValue' => 0,
            ],

            // kontrolovat schvaleni pri vkladani
            [
                'name'  => 'absencevkladatneschvalene', 'type'  => Preference::COMBOBOX,    'title' => 'absence_skryt_schvaleno',
                'options'   => ['0' => 'absence_schvaleno_podle_uzivatele', '1' => 'absence_schvaleno_nikdy', '2' => 'absence_schvaleno_automaticky'],
                'defaultValue' => 0,
                'infoText' => 'absence_skryt_schvaleno_info'
            ],
            // pouzivat doporucovani
            [
                'name'  => 'doporucovaniabsence',       'type'  => Preference::CHECKBOX,    'title' => 'absence_doporucovani',
                'defaultValue' => 0,
            ],
            // zobrazeni poznamek ke dni - nastaveni typu, ktere se zobrazi (oddeleno strednikem, * znamena vse)
            [
                'name'  => 'absence_typpoznamky',  'type'  => Preference::TEXT,    'title' => 'absence_zobrazit_poznamky_ke_dni',
                'defaultValue' => '',
                'infoText' => 'absence_zobrazit_poznamky_ke_dni_info'
            ],

            // odeslani emailu pri naplanovani ----------------------------
            [
                'type'  => Preference::CATEGORY,    'title' => 'planovani_absence_email'

            ],
            // prijemce
            [
                'name'  => 'planovaniabsence_prijemce', 'type'  => Preference::TEXT,        'title' => 'planovani_absence_prijemce',
                'defaultValue' => '',
                'infoText' => 'planovani_absence_prijemce_info'
            ],
            [
                'name'  => 'planovaniabsence_rozdeleni',    'type'  => Preference::SQL_COMBOBOX,    'title' => 'planovani_absence_typ_rozdeleni',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni ORDER BY Kod',
                'defaultValue' => '',
                'infoText' => 'planovani_absence_typ_rozdeleni_info'
            ],
            [
                'name'  => 'planovaniabsence_nadrazene',    'type'  => Preference::COMBOBOX,    'title' => 'planovani_absence_rozdeleni_nadrazene',
                'options'   => [0 => 'email_rozdeleni_zamestnance', 1 => 'email_rozdeleni_zamestnance_nebo_nadrazene', 2 => 'email_primo_nadrazeneho_rozdeleni', 3 => 'email_nektereho_nadrazeneho_rozdeleni'],
                'defaultValue' => '0',
                'infoText' => 'planovani_absence_rozdeleni_nadrazene_info'
            ],
            // odesilatel
            [
                'name'  => 'planovaniabsence_odesilatel',   'type'  => Preference::TEXT,    'title' => 'planovani_absence_odesilatel',
                'defaultValue' => '',
                'infoText' => 'planovani_absence_odesilatel_info'
            ],
            // obsah
            [
                'name'  => 'planovaniabsence_predmet',  'type'  => Preference::TEXT,    'title' => 'planovani_absence_predmet',
                'defaultValue' => '',
            ],
            [
                'name'  => 'planovaniabsence_text',     'type'  => Preference::MEMO,    'title' => 'planovani_absence_text',
                'defaultValue' => '',
                'infoText' => 'planovani_absence_text_info'
            ],


            // odeslani emailu pri schvaleni ----------------------------
            [
                'type'  => Preference::CATEGORY,    'title' => 'schvaleni_absence_email'

            ],
            // odesilatel, prijemce kopie
            [
                'name'  => 'schvaleniabsence_odesilatel',   'type'  => Preference::TEXT,    'title' => 'schvaleni_absence_odesilatel',
                'defaultValue' => '',
                'infoText' => 'schvaleni_absence_odesilatel_info'
            ],
            [
                'name'  => 'schvaleniabsence_kopie',    'type'  => Preference::TEXT,    'title' => 'schvaleni_absence_kopie',
                'defaultValue' => ''
            ],
            // obsah
            [
                'name'  => 'schvaleniabsence_predmet',  'type'  => Preference::TEXT,    'title' => 'schvaleni_absence_predmet',
                'defaultValue' => ''
            ],
            [
                'name'  => 'schvaleniabsence_text',     'type'  => Preference::MEMO,    'title' => 'schvaleni_absence_text',
                'defaultValue' => ''
            ],


            // odeslani emailu pri zamitnuti ----------------------------
            [
                'type'  => Preference::CATEGORY,    'title' => 'zamitnuti_absence_email'

            ],
            // odesilatel, prijemce kopie
            [
                'infoText' => 'zamitnuti_absence_stejny_odesilatel'
            ],
            [
                'name'  => 'zamitnutiabsence_kopie',    'type'  => Preference::TEXT,    'title' => 'zamitnuti_absence_kopie',
                'defaultValue' => ''
            ],
            // obsah
            [
                'name'  => 'zamitnutiabsence_predmet',  'type'  => Preference::TEXT,    'title' => 'zamitnuti_absence_predmet',
                'defaultValue' => ''
            ],
            [
                'name'  => 'zamitnutiabsence_text',     'type'  => Preference::MEMO,    'title' => 'zamitnuti_absence_text',
                'defaultValue' => ''
            ],


        ]
];

// pozor! nepouzivat promennou $result!
$absencePref = new Preferences();
$absencePref ->init($absenceInitPreferences);
return $absencePref;
