<?php
/**
 * Created by PhpStorm.
 * User: pavel.rudol
 * Date: 4.5.2016
 * Time: 15:56
 */

namespace Ron\RonPortal\Settings;

use Ron\Preference;
use Ron\RonPortal\RonPortalSettings;

return [
    'caption' => 'nastaveni_zastupy',
    'category' => 'nastaveni_sekce_planovani',
    'name'  => 'zastupy',
    'index' => 280,
    'storage' => 'nastaveni',
    'strings' => 'zastupy.ini',

    'items' =>
        [
            // typ rozdlen pro pracovn pozici
            [
                'name'  => 'zastup_typ_rozdeleni_pozice', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Zastup_typ_rozdeleni_pozice',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY popis', 'defaultValue' => '-1'
            ],

            // vet kd rozdlen pro pracovn pozici
            [
                'name'  => 'zastup_pozice_vycet', 'type' => Preference::TEXT,   'title' => 'Zastup_pozice_vycet',
                'infoText' => 'Zastup_pozice_vycet_info', 'defaultValue' => ''
            ],

            [
                'name'  => 'zastup_typ_kategorie_pozice', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Zastup_typ_kategorie_pozice',
                'sql'   => 'SELECT Kod, Popis FROM TypKategorie ORDER BY popis', 'infoText' => 'Zastup_typ_kategorie_pozice_info', 'defaultValue' => ''
            ],

            // vbr variabiln smny, kter se vlo do plnovn kapacit
            [
                'name'  => 'zastup_smena_plan', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Zastup_smena',
                'sql'   => "SELECT Kod, Popis FROM Smena WHERE Aktivni = 1 AND Variabilni = 1 AND (ZkratkaProPlanovani IS NOT NULL OR ZkratkaProPlanovani <> '') ORDER BY popis",
                'defaultValue' => ''
            ],

            [
                'type'  => Preference::CATEGORY,    'title' => 'Zastup_preferovat_rozdeleni'
            ],

            // typ rozdlen pro preferovan osoby na zstup
            [
                'name'  => 'zastup_preferovat_typ_rozdeleni', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Zastup_typ_rozdeleni_preferovane',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY popis',
                'defaultValue' => ''
            ],

            // rozdlen pro preferovan osoby na zstup
            [
                'name'  => 'zastup_preferovat_rozdeleni', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Zastup_rozdeleni_preferovane',
                'sql'   => 'SELECT Kod, Popis FROM Rozdeleni WHERE KodTypuRozdeleni = ' . (int)RonPortalSettings::getIntValue('zastup_preferovat_typ_rozdeleni') .
                    ' ORDER BY popis',
                'defaultValue' => ''
            ],

            [
                'type'  => Preference::CATEGORY,    'title' => 'Zastup_filtrovat_rozdeleni'
            ],

            // typ rozdlen pro filtrovn osob na zstup
            [
                'name'  => 'zastup_filtrovat_typ_rozdeleni', 'type'  => Preference::SQL_COMBOBOX,    'title' => 'Zastup_typ_rozdeleni_filtrovat',
                'sql'   => 'SELECT Kod, Popis FROM TypRozdeleni WHERE Aktivni = 1 ORDER BY popis',
                'defaultValue' => ''
            ],
        ]
];