<?php
/**
 * Created by PhpStorm.
 * User: Roman.Szablatura
 * Date: 04.02.2016
 * Time: 8:58
 */

namespace Ron\Personalistika;

use Ron\RonPortal\RonPortalForm;
use Ron\RonPortal\UserRCField;
use Ron\StringUtils;

require_once('adsapp/ronportalform.php');


class KomunikaceUchazeceForm extends RonPortalForm
{
    /**
     * @var Uchazec $uchazec
     */
    private $uchazec;

    /**
     * @param \Ron\DB\Database $database
     * @param Uchazec $uchazec
     */
    function __construct($database, $uchazec)
    {
        parent::__construct($database);

        $this ->uchazec = $uchazec;

        $this -> htmlAction = '?menuid=uchazeci&action=komunikace';
        $this -> stornoAction = '?menuid=uchazeci&action=zobrazuchazece&record=' . $uchazec->rc;
        $this -> title = \Ron\ronText('Formular_zapisu_komunikace_s_uchazecem');
        $this -> sqlTableName = 'Komunikace';
        $this -> dbLogSrcDescription = 'Komunikace s uchazeem';


        $this ->addField( [
            FORM_FIELD_TYPE => FORM_FIELD_TYPE_ID, FORM_FIELD_NAME => 'IdKomunikace', FORM_FIELD_PRIMARY => true
        ]);

//        if ($formaction == 'new') {
//            $this->addField([
//                FORM_FIELD_TYPE => FORM_FIELD_TYPE_HIDDEN, FORM_FIELD_SQL_NAME => 'RCUchazece', FORM_FIELD_NAME => 'RCUchazece',
//                FORM_FIELD_READONLY => 1, FORM_FIELD_DEFAULT_VALUE => $uchazec->rc
//            ]);
//        }

        $this -> addField( new UserRCField('RCOsoby') );


        $this -> addFields( [
            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_TEXT, FORM_FIELD_CAPTION_TEXT => 'Uchazec',
                FORM_FIELD_TEXT => StringUtils::htmlTextConvert($uchazec->jmeno) . ' ' .  StringUtils::htmlTextConvert($uchazec->prijmeni) ],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_TEXT, FORM_FIELD_CAPTION_TEXT => '&nbsp;'],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_ACTUAL_TIME, FORM_FIELD_SQL_NAME => 'DatumCas',  FORM_FIELD_NAME => 'DatumCas', FORM_FIELD_EDIT => false ],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_SELECT, FORM_FIELD_SQL_NAME => 'DruhKomunikace', FORM_FIELD_NAME => 'DruhKomunikace', FORM_FIELD_CAPTION_TEXT => 'Druh_Komunikace',
                FORM_FIELD_EDIT => 1, /*FORM_FIELD_REQUIRED => 1,*/
                FORM_FIELD_SQL => 'SELECT Kod, Popis FROM DruhKomunikace '],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_EDIT, FORM_FIELD_SQL_NAME=> 'DruhSdeleni',  FORM_FIELD_NAME => 'DruhSdeleni', FORM_FIELD_CAPTION_TEXT => 'Druh_Sdeleni',
                FORM_FIELD_MAXLENGTH => 50, /*FORM_FIELD_REQUIRED => 1,*/ FORM_FIELD_EDIT => 1 ],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_MEMO,   FORM_FIELD_NAME => 'ObsahSdeleni', FORM_FIELD_CAPTION_TEXT => 'Vyjadreni_personalisty', FORM_FIELD_EDIT => 1],

            [ FORM_FIELD_TYPE => FORM_FIELD_TYPE_MEMO,   FORM_FIELD_NAME => 'OdpovedUchazece', FORM_FIELD_CAPTION_TEXT => 'Odpoved_uchazece', FORM_FIELD_EDIT => 1]
        ]);
    }


    function showCommonFields()
    {
        parent::showCommonFields();

        echo '<input type="hidden" name="RCUchazece" value="' . StringUtils::htmlTextConvert($this ->uchazec ->rc) . '"/>';
    }


    function createDBRecord()
    {
        $result = parent::createDBRecord();
        $result ->addField('RCUchazece', '', true, 15, $this ->uchazec ->rc);
        $result ->addField(null, '', true, 0, '   ' . $this ->uchazec ->jmeno . ' ' . $this ->uchazec ->prijmeni);

        return $result;
    }
}
