<?php
/**
 * UTF-8
 * Roman.Szablatura 15.3.2016
 */

namespace Ron\Personalistika;

use Ron\DB\Database;
use Ron\MessageManager;

/**
 * Class PracovniPomucka
 * @package Ron\Personalistika
 */
class PracovniPomucka
{
    public $inventarniCislo;
    public $vyrobniCislo;
    public $znacka;
    public $dodavatel;
    public $ucetniDoklad;
    public $porizovaciCena;
    public $konecZaruky;
    public $uzivatelskePoleNazev = [];
    public $uzivatelskePoleObsah= [];
    public $kod;
    public $typPomucky;
    public $typPomuckyPopis;
    public $popis;

    /**
     * @param Database $database
     * @param $record
     * @return PracovniPomucka
     * @throws \Exception
     * @throws \Ron\DB\DBException
     */
    public static function nactiPomucku($database, $record)
    {
        $params = $database->createParameters();

        $sql =
            'SELECT InventarniCislo, VyrobniCislo, Znacka, Dodavatel, UcetniDoklad, PorizovaciCena, KonecZaruky, ' .  //0 - 6
            'NazevUzivatelskehoPole1, NazevUzivatelskehoPole2, NazevUzivatelskehoPole3, NazevUzivatelskehoPole4, NazevUzivatelskehoPole5, ' .    //7 - 11
            'UzivatelskePole1, UzivatelskePole2, UzivatelskePole3, UzivatelskePole4, UzivatelskePole5, ' .   //12 - 16
            'PracovniPomucka.Kod, PracovniPomucka.TypPomucky, PracovniPomucka.Popis, TypPomucky.Popis ' .   //17 - 20
            'FROM PracovniPomucka LEFT OUTER JOIN  TypPomucky ON PracovniPomucka.TypPomucky = TypPomucky.Kod ' .
            'WHERE PracovniPomucka.Kod=' . $params->addParameter($record);

        MessageManager::addDebugLog($sql);

        $cursor = $database->getSqlResult($sql,$params);

        if(!$row = $cursor->fetch()){
            throw new \Exception('pomucka_neexistuje');
        }

        $pomucka = new PracovniPomucka();
        $pomucka->nactiPomuckuZRadku($database, $row);
        return $pomucka;
    }

    /**
     * @param Database $database
     * @param $row
     */
    public function nactiPomuckuZRadku($database, $row)
    {
        $this->inventarniCislo = $row[0];
        $this->vyrobniCislo = $row[1];
        $this->znacka = $row[2];
        $this->dodavatel = $row[3];
        $this->ucetniDoklad = $row[4];
        $this->porizovaciCena = $row[5];
        $this->konecZaruky = $database->stringToTimestamp($row[6]);

        for($i = 1; $i <= 5; $i++){
            $this->uzivatelskePoleNazev[$i] = $row[$i + 6];
        }
        for($i = 1; $i <= 5; $i++){
            $this->uzivatelskePoleObsah[$i] = $row[$i + 11];
        }
        $this->kod = $row[17];
        $this->typPomucky = $row[18];
        $this->popis = $row[19];
        $this->typPomuckyPopis = $row[20];
    }
}


