<?php
/** Roman.Szablatura 24.03.2016 */

namespace Ron\Personalistika;

use Ron\DB\Database;
use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\RonPortal\FormReportsListView;
use Ron\RonPortal\PravaNaOsoby;
use Ron\RonPortal\RonPortalReport;
use Ron\StringUtils;
use function Ron\ronText;

$model = Model::getInstance();

/* @var LekarskaProhlidka $zdravotniprohlidka */
$zdravotniprohlidka = $model->getData('zdravotniprohlidka');

/** @var PravaNaOsoby $pravaProhlizet */
$pravaProhlizet = $model->getData('pravaProhlizet');

/** @var Database $database */
$database = $model->getData('database');

?>

<h1><?= ronText('zdravotni_prohlidka_detail') ?></h1>


<?php MessageManager::getInstance() ->showMessages() ?>

<table class='infotable minwidth'>
    <tbody>
        <tr id="hlavickaprohlidky_signatura">
            <td colspan="3">
                <strong><?= StringUtils::htmlTextConvert($zdravotniprohlidka ->jmeno)?></strong>
                <strong><?= StringUtils::htmlTextConvert($zdravotniprohlidka ->prijmeni) ?></strong>
            </td>
        </tr>
    </tbody>


    <tbody id="detaily">
        <tr id="hlavickaprohlidky_detaily" class="inputtablesection">
            <td colspan="3"><strong><?= ronText('Detaily') ?></strong></td>
        </tr>

        <tr>
            <td class="formtablecaption"><?= ronText('popis_zdravotni_prohlidky')?></td>
            <td colspan="3"><?= StringUtils::htmlTextConvert($zdravotniprohlidka->popisLekarskeProhlidky) ?></td>
        </tr>

        <tr>
            <td class="formtablecaption"><?= ronText('duvod_zdravotni_prohlidky')?></td>
            <td colspan="3"><?= StringUtils::htmlTextConvert($zdravotniprohlidka->duvodProhlidky) ?></td>
        </tr>

        <tr>
            <td class="formtablecaption"><?= ronText('datum_vzniku_povinnosti')?></td>
            <td colspan="3"><?= StringUtils::format('date', $zdravotniprohlidka->datumVznikuPovinnosti) ?></td>
        </tr>

        <tr>
            <td class="formtablecaption"><?= ronText('datum_absolvovani')?></td>
            <td colspan="3"><?= StringUtils::format('date', $zdravotniprohlidka->datumAbsolvovani) ?></td>
        </tr>

        <tr>
            <td class="formtablecaption"><?= ronText('vysledek')?></td>
            <td colspan="3"><?= StringUtils::htmlTextConvert($zdravotniprohlidka->vysledekProhlidky) ?></td>
        </tr>
        <tr>
            <td class="formtablecaption"><?= ronText('Platnost_do')?></td>
            <td colspan="3"><?= StringUtils::format('date', $zdravotniprohlidka->platnostDo) ?></td>
        </tr>

        <tr>
            <td class="formtablecaption"><?= ronText('rezervovany_cas_prohlidky')?></td>
            <td colspan="3"><?= $zdravotniprohlidka->casProhlidkyRezervovany ? (StringUtils::format('time', $zdravotniprohlidka->casProhlidkyRezervovany)  . '&nbsp;&nbsp;&nbsp;'.
             StringUtils::format('date', $zdravotniprohlidka->datumProhlidkyRezervovany)) : StringUtils::format('date', $zdravotniprohlidka->datumProhlidkyRezervovany) ?></td>
        </tr>

        <tr>
            <td class="formtablecaption"><?= ronText('osetrujici_lekar')?></td>
            <td colspan="3"><?= StringUtils::htmlTextConvert($zdravotniprohlidka->osetrujiciLekar) ?></td>
        </tr>

        <tr>
            <td class="formtablecaption"><?= ronText('doplnujici_text')?></td>
            <td colspan="3"><?= StringUtils::htmlTextConvert($zdravotniprohlidka->doplnujiciTextPozvanky) ?></td>
        </tr>

        <tr>
            <td class="formtablecaption"><?= ronText('Poznamka')?></td>
            <td colspan="3"><?= StringUtils::htmlTextConvert($zdravotniprohlidka->poznamka) ?></td>
        </tr>


    <tbody id="dokumenty">
            <tr id="hlavickaprohlidky_dokumenty" class="inputtablesection">
                <td colspan="2"><strong><?= ronText('tiskove_sestavy') ?></strong></td>
            </tr>
    <?php  if($pravaProhlizet->jsouNejakePrava()) { ?>
            <tr>
                <td></td>
                <td colspan="2">
                    <?php
                        require_once('adsapp/reportutils.php');
                        $reportList = RonPortalReport::loadFormReports($database, 'LekarskeProhlidky', 'LekarskeProhlidky');
                        FormReportsListView::renderReportList($reportList,
                            '?menuid=lekarskeprohlidky&action=report&osoba=' . $zdravotniprohlidka->idOsoby .
                            '&kod=' . ($_GET['kod'] ?: '') .
                            '&vznik=' . (StringUtils::format('date', $_GET['vznik']) ?: '')
                        );

//                    formReportsListGET($zdravotniprohlidka->data, 'LekarskeProhlidky', "?menuid=lekarskeprohlidky&action=report&osoba=".
//                        $zdravotniprohlidka->idOsoby .  "&kod=" . ($_GET['kod'] ? $_GET['kod'] : '') .
//                        ($_GET['vznik'] ? "&vznik=" . StringUtils::format('date',$_GET['vznik']) : '' . "'"));
                    ?>
    <?php } ?>
                </td>
            </tr>
    </tbody>


    <?php  if(!empty($zdravotniprohlidka->dokumenty)) { ?>
    <tbody id="dokumenty">
            <tr id="hlavickaprohlidky_dokumenty" class="inputtablesection">
                <td colspan="2"><strong><?= ronText('Dokumenty') ?></strong></td>
            </tr>
            <?php foreach ($zdravotniprohlidka->dokumenty as $prohlidkaDokumenty) { ?>
                <tr>
                    <td class="formtablecaption"><?= StringUtils::htmlTextConvert($prohlidkaDokumenty->popisDokumentu) ?></td>
                    <td colspan="3"><?= StringUtils::format('date',$prohlidkaDokumenty->datumVlozeniDokumentu)?></td>
                </tr>
                <tr>
                    <td class="formtablecaption"></td>
                    <td colspan="3"><a href="?menuid=lekarskeprohlidky&action=download&osoba=<?= $zdravotniprohlidka->idOsoby ?>&dokument=<?= $prohlidkaDokumenty->idDokumentu ?>" target="_blank">
                            <?= StringUtils::htmlTextConvert($prohlidkaDokumenty->nazevDokumentu) ?></a></td>
                </tr>
            <?php } ?>
    </tbody>
    <?php } ?>

</table>

<table>
    <tr >
        <td><a href="?menuid=lekarskeprohlidky"><?= ronText('Zpet_na_seznam') ?></a></td>
    </tr>
</table>

