<?php
/**
 * UTF8
 * Roman.Szablatura, 15.3.2016
 */

namespace Ron\Personalistika;


use Ron\MessageManager;
use Ron\MVC\Model;
use Ron\StringUtils;
use function Ron\ronText;

$model = Model::getInstance();

/** @var PracovniPomucka $pracovniPomucka */
$pracovniPomucka = $model->getData('pracovnipomucka');
/** @var PracovniPomucka $detailForm */
$detailForm = $model->getData('detailform');

if (!$detailForm) {
    ?>

    <h1><?= ronText('pracovni_pomucka') . ": &nbsp;&nbsp; " . StringUtils::htmlTextConvert($pracovniPomucka->popis) ?></h1>

    <?php
}
    MessageManager::getInstance() ->showMessages() ?>

<table id="pracovnipomuckadetail" class="detailypomucky ">
    <tbody >
        <tr >
            <td class="pracovnipomuckadetail_popis"><strong><?= ronText('typ_pomucky_popis')?></strong></td>
            <td class="pracovnipomuckadetail_data"><strong><?= StringUtils::htmlTextConvert($pracovniPomucka->typPomuckyPopis) ?></strong></td>
        </tr>

        <tr >
            <td colspan="pracovnipomuckadetail_popis" class=""><strong><?= ronText('kod_pomucky_popis')?></strong></td>
            <td class="pracovnipomuckadetail_data"><strong><?= StringUtils::htmlTextConvert($pracovniPomucka->popis) ?></strong></td>
        </tr>

        <tr>
            <td colspan="2"><p></p></td>
        </tr>

        <tr >
            <td class="pracovnipomuckadetail_popis"><?= ronText('inventarniCislo')?></td>
            <td class="pracovnipomuckadetail_data"><?= StringUtils::htmlTextConvert($pracovniPomucka->inventarniCislo) ?></td>
        </tr>

        <tr >
            <td class="pracovnipomuckadetail_popis"><?= ronText('vyrobniCislo')?></td>
            <td class="pracovnipomuckadetail_data"><?= StringUtils::htmlTextConvert($pracovniPomucka->vyrobniCislo) ?></td>
        </tr>

        <tr >
            <td class="pracovnipomuckadetail_popis"><?= ronText('znacka')?></td>
            <td class="pracovnipomuckadetail_data"><?= StringUtils::htmlTextConvert($pracovniPomucka->znacka) ?></td>
        </tr>


        <tr >
            <td class="pracovnipomuckadetail_popis"><?= ronText('konec_zaruky')?></td>
            <td class="pracovnipomuckadetail_data"><?= StringUtils::format('date',$pracovniPomucka->konecZaruky) ?></td>
        </tr>
        <tr>
            <td colspan="2"><p></p></td>
        </tr>

        <?php for ($i = 1; $i <= 5; $i++) {
            if ($pracovniPomucka->uzivatelskePoleNazev[$i] != '') { ?>
                <tr >
                    <td class=""><?= StringUtils::htmlTextConvert($pracovniPomucka->uzivatelskePoleNazev[$i]) ?></td>
                    <td class="pracovnipomuckadetail_data"><?= StringUtils::htmlTextConvert($pracovniPomucka->uzivatelskePoleObsah[$i]) ?></td>
                </tr>
        <?php }} ?>
    </tbody>
</table>

<?php
if (!$detailForm) {
    ?>
    <table>
        <tr >
            <td><a href="?menuid=pracovnipomucky&"><?= ronText('Zpet_na_seznam') ?></a></td>
        </tr>
    </table>
<?php
}