<?php
/**
 * UTF8
 * stanislav.elbl, 27.10.2015
 */

namespace Ron;

use Ron\Http\App;
use Ron\MVC\Model;

/** @var Preferences $preferences */
$preferences = Model::getInstance() ->getData('preferences');
/** @var Preferences[] $preferencesList */
$preferencesList = Model::getInstance() ->getData('preferencesList');


?>
<h1><?= ronText('nastaveni_portalu') ?></h1>

<?php MessageManager::getInstance() ->showMessages(); ?>

<div class="d-flex no-flex-wrap">
    <div class="preferences_tabs flex-grow-0 margin-right-2">
        <ul class="list-unstyled list-padding no-wrap">
        <?php
            $lastCategory = null;
            foreach($preferencesList as $pref) { ?>
                <?php if ($pref ->category  &&  $lastCategory != $pref ->category) { $lastCategory = $pref ->category; ?>
                    <li class="form-section margin-top padding-left"><?= ronText($pref ->category) ?></li>
                <?php } ?>
                <li <?= $pref ->name == $_GET['tab'] ? 'class="active font-weight-bold"' : '' ?>>
                    <a href="?menuid=nastaveniportalu&tab=<?= $pref ->name ?>"><?= ronText($pref ->caption) ?></a>
                    <?= App::getDebugMode() ? " ({$pref ->index})" : '' ?>
                </li>
        <?php } ?>
        </ul>
    </div>

    <div class="preferences_form flex-grow-1">
        <h2><?= ronText($preferences ->caption) ?></h2>

        <form method="post" action="?menuid=nastaveniportalu">
            <input type="hidden" name="preferencesName" value="<?= $preferences ->name ?>" />

            <table class="preferences">
                <?php foreach ($preferences ->items as $item) { ?>
                    <?php if ($item ->type == Preference::DELETE) { ?>
                    <?php } else if ($item ->type == Preference::CATEGORY) { ?>
                        <tr>
                            <td class="category" colspan="2">
                                <?= ronText($item ->title) ?>
                            </td>
                        </tr>
                    <?php } else { ?>
                        <tr>
                            <?php if ($item ->noTitle) { ?>
                            <td colspan="2">
                            <?php } else { ?>
                            <td class="title"><?= ronText($item ->title) ?></td>
                            <td>
                            <?php } ?>
                                <?php switch($item ->type) {
                                    case Preference::TEXT : ?>
                                        <?php if ($item ->readOnly) { ?>
                                            <div class="preferencevalue"><?= StringUtils::htmlTextConvert($item ->value) ?></div>
                                        <?php } else { ?>
                                            <input type="text" name="<?= $item ->name ?>" value="<?= StringUtils::htmlTextConvert($item ->value) ?>" <?= $item ->getHtmlParams() ?> />
                                        <?php } ?>
                                        <?php break;

                                    case Preference::SQL_COMBOBOX : // POZOR! Volby uz musi byt nacteny!
                                    case Preference::COMBOBOX : ?>
                                        <select name="<?= $item ->name ?>" <?= $item ->getHtmlParams() ?>>
                                            <?php foreach ($item ->options as $key =>$text) { ?>
                                                <option value="<?= $key ?>" <?= $item ->value == $key ? 'selected="selected"' : ''?>><?= ronText($text) ?></option>
                                            <?php } ?>
                                        </select>
                                        <?php break;

                                    case Preference::CHECKBOX : ?>
                                        <?php if ($item ->readOnly) { ?>
                                            <div class="preferencevalue"><?= ronText($item ->value ? 'Str_Yes' : 'Str_No') ?></div>
                                        <?php } else { ?>
                                            <input type="checkbox" name="<?= $item ->name ?>" value="1" <?= $item ->value ? ' checked="checked"' : '' ?> <?= $item ->getHtmlParams() ?>/>
                                        <?php } ?>
                                        <?php break;

                                    case Preference::MEMO : ?>
                                        <textarea name="<?= $item ->name ?>" <?= $item ->getHtmlParams() ?>><?= StringUtils::htmlTextConvert($item ->value) ?></textarea>
                                        <?php break;

                                    case Preference::COLOR : ?>
                                        <input type="text" class="color-input" data-indicator="#color-indicator-<?= $item ->name ?>" name="<?= $item ->name ?>" value="<?= StringUtils::htmlTextConvert($item ->value) ?>" <?= $item ->getHtmlParams() ?> />
                                        <div class="color-indicator <?=$item ->indicatorClass ?: '' ?>"
                                             <?php if($item ->value != '') { ?> style="background-color: <?= StringUtils::htmlTextConvert($item ->value) ?> !important" <?php } ?>
                                             id="color-indicator-<?= $item ->name ?>">
                                            &nbsp;</div>
                                        <?php break;
                                } ?>
                                <?php if ($item ->infoText) { ?>
                                    <div class="infoText"><?= ronText($item ->infoText) ?></div>
                                <?php } ?>
                            </td>
                        </tr>
                    <?php } ?>
                <?php } ?>
            </table>

            <input type="submit" value="<?= ronText('form.Store') ?>" class="submitbutton"/>
        </form>
    </div>
</div>