/*
 * Pavel Rudol, RON Software
 *  10.7.2015
 */


var personalistika = { };

// Format dat JSON
personalistika.UrovenDovednosti = function() {
    this.kod = 0;
    this.popis = '';
};

personalistika.zobrazUrovneDovednosti = function(kodDovednosti) {
    /**
     *
     * @param {jQuery} select
     * @returns {undefined}
     */
    var vynulujSelect = function(select) {
        $(select).find('option').remove();
    };

    /**
     *
     * @param {personalistika.UrovenDovednosti} data
     * @returns {undefined}
     */
    var zobrazData = function(data) {
        var select = $('#urovneDovednosti').find('select[name="urovenDovednosti"]');

        if (!data  ||  !data.urovne)
        {
            vynulujSelect(select);
            return;
        }

        vynulujSelect(select);

        $.each(data.urovne, function(key, value) {
            $(select)
                .append($('<option>', {value : value.kod})
                    .text(value.popis));
        });

    };



    var url = "?menuid=dovednosti&action=loaddata&dovednost=" + kodDovednosti;

    $.ajax(url)
        .done( function(data) {
            if (debugMode) console.log("Nateny rovn dovednosti: " + kodDovednosti + ". ", data);

            if (data.result == "error") {
                vynulujSelect($('#urovneDovednosti').find('select[name="urovenDovednosti"]'));
                ron.showError(data);
            } else {
                zobrazData(data);
            }

        }).fail( function(jqXHR) {
        vynulujSelect($('#urovneDovednosti').find('select[name="urovenDovednosti"]'));
        ron.showAjaxError(jqXHR, "Pi natn rovn dovednosti dolo k chyb!");
    });
};

personalistika.odhlaseniSkoleni = function () {
    var url;
    var cisloSkoleni;

    var dialogTerminy = function (event) {
        url = '?menuid=skoleni&action=odhlaseni';
        cisloSkoleni = $(this).data('skoleni-kod');

        if ($(this).data('prihlaseny-terminy') === 1) {
            event.preventDefault();
            dialogSmazatTerminy();
        }
        else if ($(this).data('ponechat-navrh') === 0) {
            event.preventDefault();
            dialogSmazatSkoleni();
        }
    };

    var dialogSmazatTerminy = function () {
        $("#btnTerminySmazat")
            .off('click')
            .on("click", function () {
                $("#dialogSkoleniTerminy").dialog('close');
                dialogSmazatSkoleni();
            });

        $("#btnTerminyNechat")
            .off('click')
            .on("click", function () {
                $("#dialogSkoleniTerminy").dialog('close');
                return false;
            });

        //zobrazeni dialogu
        $("#dialogSkoleniTerminy")
            .dialog( {
                modal : true,
                resizable: false,
                width: "400",
                height: "160",
                closeOnEscape: false
            });

    };

    var dialogSmazatSkoleni = function () {
        $("#btnPonechatNavrh")
            .off('click')
            .on("click",ponechatNavrh);

        $("#btnSmazatNavrh")
            .off('click')
            .on("click",smazatSkoleni);

        //zobrazeni dialogu
        $("#dialogSkoleniNavrh")
            .dialog( {
                modal : true,
                resizable: false,
                width: "auto",
                height: "auto",
                closeOnEscape: false
            });

    };

    var smazatSkoleni = function () {
        $(this).off('click');
        $("#btnPonechatNavrh").off('click');
        window.location.href = url+'&navrh=smazat&cisloskoleni='+cisloSkoleni;
        /* TODO: nacist z JSONu aktualni pocet prihlasenych, informaci, zda je osoba prihlasena, zmenit odkaz prihlaseni/odhlaseni
        $.ajax({
            url: url+'&navrh=smazat&cisloskoleni='+cisloSkoleni+'&json',
            success: function (data) {
                vysledekOdhlaseniJSON(data);
            }
        });
        */
    };

    var ponechatNavrh = function () {
        $(this).off('click');
        $("#btnSmazatNavrh").off('click');
        window.location.href = url+'&navrh=zrusit&cisloskoleni='+cisloSkoleni;
        /* TODO: nacist z JSONu aktualni pocet prihlasenych, informaci, zda je osoba prihlasena, zmenit odkaz prihlaseni/odhlaseni
        $.ajax({
            url: url+'&navrh=zrusit&cisloskoleni='+cisloSkoleni, //+'&json',
            success: function (data) {
                vysledekOdhlaseniJSON(data);
            }
        });
        */
    };

    var vysledekOdhlaseniJSON = function (data) {
        $('#skoleniNavrh').text(data.text);
        $('#btnPonechatNavrh, #btnSmazatNavrh').hide();
        $('#btnNavrhZavrit').show().on('click', function () {
            $("#dialogSkoleniNavrh").dialog('close');
        });
    };

    $('.prihlaseniSkoleniBrowser').on('click', 'a[data-prihlaseny-terminy]', dialogTerminy);
};

personalistika.dovednosti = {

    zpracujDialogTPM : function () {
        var editovatTPM = function() {

            $("#dovednosti_tpm_buttonsrow").hide();

            this.form.submit();
            return true;
        };

        var stornoTPM = function() {
            $("#dovednosti_tpm").dialog("close");
        };


        $("#dovednosti_tpm")
            .off("click")
            .on("click", "#dovednosti_tpm_vlozit_Btn", editovatTPM)
            .on("click", "#dovednosti_tpm_storno_Btn", stornoTPM)
            .dialog( {
                position: { my: "center", at: "center", of: 'form:has(select[name=urovenDovednosti])', within: 'form:has(select[name=urovenDovednosti])' },
                modal : true,
                resizable: false,
                width: "auto",
                height: "auto"
            });
    },

    zobrazVlozeniTPM : function () {
        $('#dovednosti_tpm_platnost_do').hide();
        $('#dovednosti_tpm_poznamka').show();
        $('#dovednosti_tpm_kod').show();
        $('#dovednosti_tpm_platnost_od').show();

        personalistika.dovednosti.zpracujDialogTPM();
    },

    zobrazUkonceniTPM : function () {
        $('#dovednosti_tpm_platnost_do').show();
        $('#dovednosti_tpm_poznamka').hide();
        $('#dovednosti_tpm_kod').hide();
        $('#dovednosti_tpm_platnost_od').hide();

        var $this = $(this);

        $('#tpm_kod').prop('value',$this.data('tpm-kod'));
        $('#tpm_platnost_od').prop('value',$this.data('tpm-platnost-od'));

        personalistika.dovednosti.zpracujDialogTPM();
    }
};


personalistika.potvrzeniPrevzetiPomucky = function () {
    if ($(this).data('osoba') != $(this).data('uzivatel')) {
        if (ron.confirmQuestion($(this))) {
            window.location = $(this).prop('href');
        }
        return false;
    }
    return true;
};

function showDokumentDovednostiDialog(idPP) {

    var dokumentDovednostiResult = function(result) {
        processDokumentResult(result, '?menuid=maticedovednosti&action=novadovednost&idosoby=' + idPP);
    };

    ronPortal.showDokumentDialog(dokumentDovednostiResult);
    return false;
}

function showDokumentLekarskeProhlidkyDialog(idOsoby, kodZP, datumVzniku) {

    var dokumentLekarskeProhlidkyResult = function(result) {
        processDokumentResult(result, '?menuid=lekarskeprohlidky&action=detail&osoba=' + idOsoby + '&kod=' + kodZP + '&vznik=' + datumVzniku);
    };

    ronPortal.showDokumentDialog(dokumentLekarskeProhlidkyResult);
}

function showDokumentOsobyDialog(idPP) {
    var dokumentOsobyResult = function(result) {
        processDokumentResult(result, '?menuid=dokumenty&osoba=' + idPP);
    };

    ronPortal.showDokumentDialog(dokumentOsobyResult);
    return false;
}


//Pi dblclick na datum se nastav filter na aktuln datum a odele se
var vybraniPouzeDnesnihoDne = function () {
    var datum = $("[name='datumTerminuPomucek']");
    var vyberpocetdnu = $("[name='vyberpocetdnu']");

    datum.on('dblclick', function () {
        var dt = new Date($.now());

        datum.val(dt.getDate() + "." + (dt.getMonth()+1) + "." + dt.getFullYear());
        vyberpocetdnu.val("1");
        this.form.submit();
    });
};



$( function() {
    $('#browserpracovnipomucky').on('click', '.pomucky_potvrzeni', personalistika.potvrzeniPrevzetiPomucky);
    $('#dovednosti_nove_tpm').on('click', personalistika.dovednosti.zobrazVlozeniTPM);
    $('#tpm').on('click', 'a.ukonceniTPM', personalistika.dovednosti.zobrazUkonceniTPM);
    vybraniPouzeDnesnihoDne();
});