

ron.sc = { };

ron.sc.initFormular = function(options) {
    var $cilovyStat = $("#CilovyStat");
    var nacitatStat = !$cilovyStat.val();

    var nactiMaximalniStravne = function() {
        var cilovyStat = $cilovyStat.val();
        if (!cilovyStat) return; // neni zadan stat - nic nenacita

        var datum = $("#DatumSCOd").val();
        if (!datum) return; // neni zadan datum - nic nenacita

        if ( $("#maximalniDenniStravne").is(":hidden") ) return;

        var vychoziStatSelect = $("#vychoziStatSC");
        var vychoziStat = vychoziStatSelect.length ? vychoziStatSelect.val() : '';

        $.ajax("?menuid=sluzebnicestyjs&action=maxstravneprostat&cilovystat=" + cilovyStat + "&vychozistat=" + vychoziStat + "&datum=" + datum ).done(
            function(data) {
                if (data.result == "OK") {
                    $("#maximalniDenniStravne").html( data.text );
                } else {
                    ron.showError(data);
                    $("#maximalniDenniStravne").html( "" );
                    focusJsonErrorField(data, true);
                }
            }
        );
    };
    var nactiKapesneStatu = function () {
        if (!options.sazbaKapesnehoPodleStatu  ||  !options.menitSazbuKapesneho) {
            return;
        }

            var cilovyStat = $cilovyStat.val();
        if (!cilovyStat) return; // neni zadan stat - nic nenacita

        $.ajax("?menuid=sluzebnicestyjs&action=kapesneprostat&stat=" + cilovyStat).done(
            function(data) {
                if (data.result == "OK") {
                    if (data.text) {
                        $("#SazbaKapesneho").val(data.text);
                    }
                } else {
                    ron.showError(data);
                }
            }
        );
    };


    var nactiStatPodleRozdeleni = function(kodRozdeleni) {
        if (!kodRozdeleni) return;
        if ( !options.nacitatAdresuRozdeleni  &&  $cilovyStat.val()  &&  !nacitatStat ) return;  // cilovy stat byl uz pri zobrazeni formulare nastaven - nedela nic

        $.ajax( "?menuid=sluzebnicestyjs&action=adresarozdeleni&kod=" + encodeURIComponent(kodRozdeleni) )
            .done( function(data) {
                if (data.result == "OK") {
                    if (data.stat) {
                        var puvodniStat = $cilovyStat.val();
                        $cilovyStat.val(data.stat);
                        if (puvodniStat != data.stat) {
                            nactiKapesneStatu();
                        }
                    }
                    if (options.nacitatAdresuRozdeleni) {
                        var novaAdresa =
                            (data.ulice ? data.ulice : "") +
                            (data.ulice && data.mesto  ?  ", " : "") +
                            (data.mesto ? data.mesto : "");

                        if (novaAdresa) {
                            $("#hlavickasc_popiscile").find("input").val(novaAdresa);
                        }
                    }
                } else {
                    ron.showError(data);
                }
            })
            .fail( function(jqXHR) {
                ron.showAjaxError(jqXHR);
            });
    };


    var zmenaRozdeleniSC = function() {
        var kod = $(this).val();

        if (kod  &&  $("#scZahranicni").prop("checked")) {
            nactiStatPodleRozdeleni(kod);
        }
    };


    $("#scZahranicni").on("click", function() {
        var checked = $(this).prop("checked");
        $("#sluzebnicestatable").toggleClass("zahranicniSC", checked);

        if (checked) {
            nactiStatPodleRozdeleni( $("#rozdelenisc_kod").val() );
        }
    });


    var cilovyStatChange = function() {
        nactiMaximalniStravne();
        nactiKapesneStatu();
    };
    $cilovyStat.on("change", cilovyStatChange);
    $("#DatumSCOd").on("blur", nactiMaximalniStravne);

    $("#rozdelenisc_kod,#rozdelenisc_popis")
        .on("change", zmenaRozdeleniSC);
    var rozdeleniOsoby_SC = function() {
        var url = '?menuid=sluzebnicestyjs&action=rozdeleniosoby';

        var aktualizujSelect = function(newValue) {
            ronPortal.aktualizujRozdeleniOsoby(url, options.idPP, [$("#rozdelenisc_kod")], [$("#rozdelenisc_popis")], newValue);
        };

        ronPortal.rozdeleniOsoby(url, options.idPP, aktualizujSelect);
    };


    $("#vybratRozdeleniSC")
        .on("click", rozdeleniOsoby_SC);

    var cancelForm = function() {
        if (options.idSluzebniCesty) {
            window.location = "?menuid=sluzebnicesty&action=zobrazslcestu&record=" + options.idSluzebniCesty;
        } else {
            window.location = "?menuid=sluzebnicesty";
        }
    };

    $("#scFormularCancel")
        .on("click", cancelForm);


};


$(function() {
    var seznamOsob = null;
    var seznamOsobnichCisel = null; // stejny jako seznamOsob, ale serazeny podle osobnich cisel

    var cancel = function() {
        $("#hlavickasc_pridatspolucestujiciho").css("display", "block");
        $("#vyber_spolucestujiciho").css("display", "none");
    };

    var ok = function() {
        var index = $("#jmenoSpolucestujiho").ronselect("itemIndex");
        if (index === null) return;

        var idPP = seznamOsob[index].idPP;
        var idSC = $("#idScSpolucestujiciho").val();

        $.ajax("?menuid=sluzebnicestyjs&action=pridejspolucestujiciho&idpp=" + idPP + "&idsc=" + idSC )
            .done( function(data) {
                if (data.result == "OK") {
                    window.location.replace("?menuid=sluzebnicesty&action=zobrazslcestu&record=" + idSC); // redirect
                } else {
                    ron.showError(data);
                }
            })
            .fail( function(jqXHR) {
                ron.showAjaxError(jqXHR);
            });

    };


    var onOsobaChange = function(index, options) {
        if (index === null) return;

        $("#jmenoSpolucestujiho").ronselect("value", options.items[index].idPP);
        $("#osobniCisloSpolucestujiciho").ronselect("value", options.items[index].idPP);
    };


    var naplnSeznamOsob = function(data) {
        $("#nacitani_spolucestujicich").css("display", "none");

        if (data.result == "OK") {
            seznamOsob = data.pp;
            seznamOsobnichCisel = ron.utils.copyArray(data.pp);
            seznamOsobnichCisel.sort( function(item1, item2) {
                return item1.osobniCislo.localeCompare(item2.osobniCislo);
            });

            $("#jmenoSpolucestujiho").ronselect({
                items: seznamOsob,
                onChange: onOsobaChange,
                columns: ["jmenoPrijmeni", "osobniCislo"],
                textColumn: "jmenoPrijmeni",
                valueColumn: "idPP"
            });

            $("#osobniCisloSpolucestujiciho").ronselect({
                items: seznamOsobnichCisel,
                onChange: onOsobaChange,
                columns: ["jmenoPrijmeni", "osobniCislo"],
                textColumn: "osobniCislo",
                valueColumn: "idPP",
                dropDownAlign: "right"
            });
        } else {
            ron.showError(data);
            $("#maximalniDenniStravne").html( "" );
            focusJsonErrorField(data, true);
        }
    };

    var nactiSeznamOsob = function() {
        $("#spolucestujiciCancel").on("click", cancel);
        $("#spolucestujiciOK").on("click", ok);

        $.ajax('?menuid=sluzebnicestyjs&action=vyberspolucestujicich')
            .done(naplnSeznamOsob);
    };

    var vyberSpolucestujiciho = function() {
        $("#hlavickasc_pridatspolucestujiciho").css("display", "none");
        $("#vyber_spolucestujiciho").css("display", "block");

        if (!seznamOsob) {
            nactiSeznamOsob();
        }

        return false;
    };

    $("#hlavickasc_pridatspolucestujiciho")
        .on("click", vyberSpolucestujiciho);

});
ron.sc.kopieProSpolucestujiciho = function() {
    var $this = $(this);

    var provedRedirect = function() {
        window.location.replace( $this.attr("href") ); // redirect
    };

    var vytvorKopii = function() {
        var
            idPP = $this.data("ron-idpp"),
            idSC = $this.data("ron-idsc");

        $.ajax("?menuid=sluzebnicestyjs&action=overspolucestujiciho&idpp=" + idPP + "&idsc=" + idSC )
            .done( function(data) {
                if (data.result == "warning") {
                    ron.confirm(data.infoText, provedRedirect);
                    return;
                } else if (data.result == "OK") {
                } else {
                    ron.showError(data);
                    return;
                }

                provedRedirect();
            });
    };

    ron.confirmQuestion( $this, vytvorKopii );
    return false;
};


ron.sc.sluzebniCesta = function($options) {
};

ron.sc.browserRadekSluzebniCesty = function(options) {
};


var initSchvalovaniSC = function(dataSchvalovani) {
    var oznacRadekSC = function(index) {
        var selected = false;

        if (dataSchvalovani.items[index].pravo_n) {
            if ( $("#Schvaleni_" + dataSchvalovani.items[index].id + "_N").prop("checked") != !!dataSchvalovani.items[index].schvaleno_n ) selected = true;
        }

        if (!selected  &&  dataSchvalovani.items[index].pravo_n2) {
            if ( $("#Schvaleni_" + dataSchvalovani.items[index].id + "_N2").prop("checked") != !!dataSchvalovani.items[index].schvaleno_n2 ) selected = true;
        }
        
        if (!selected  &&  dataSchvalovani.items[index].pravo_1) {
            if ( $("#Schvaleni_" + dataSchvalovani.items[index].id + "_1").prop("checked") != !!dataSchvalovani.items[index].schvaleno_1 ) selected = true;
        }

        if (!selected  &&  dataSchvalovani.items[index].pravo_2) {
            if ( $("#Schvaleni_" + dataSchvalovani.items[index].id + "_2").prop("checked") != !!dataSchvalovani.items[index].schvaleno_2 ) selected = true;
        }

        if (!selected  &&  dataSchvalovani.items[index].pravo_3) {
            if ( $("#Schvaleni_" + dataSchvalovani.items[index].id + "_3").checked != !!dataSchvalovani.items[index].schvaleno_3 ) selected = true;
        }

        if (!selected  &&  dataSchvalovani.items[index].pravo_4) {
            if ( $("#Schvaleni_" + dataSchvalovani.items[index].id + "_4").checked != !!dataSchvalovani.items[index].schvaleno_4 ) selected = true;
        }

        $("#sc_row_" + dataSchvalovani.items[index].id).toggleClass("browserselectedrow", selected);
    };


    var schvaleniCheckboxClick = function() {
        var index = $(this).data("ronschvalenisc_index");
        if (index === undefined) return;

        oznacRadekSC(index);
    };
    var oznacVsechnySC = function (value, uroven) {
        for (var i = 0;  i < dataSchvalovani.items.length;  i++) {
            var jePravo = false;
            var checkboxId = null;

            var originalValue = null;

            switch (uroven) {
                case 'N' :
                    jePravo = dataSchvalovani.items[i].pravo_n;
                    checkboxId = 'Schvaleni_' + dataSchvalovani.items[i].id + '_N';
                    originalValue = dataSchvalovani.items[i].schvaleno_n;
                    break;

                case 'N2' :
                    jePravo = dataSchvalovani.items[i].pravo_n2;
                    checkboxId = 'Schvaleni_' + dataSchvalovani.items[i].id + '_N2';
                    originalValue = dataSchvalovani.items[i].schvaleno_n2;
                    break;
                
                case '1' :
                    jePravo = dataSchvalovani.items[i].pravo_1;
                    checkboxId = 'Schvaleni_' + dataSchvalovani.items[i].id + '_1';
                    originalValue = dataSchvalovani.items[i].schvaleno_1;
                    break;

                case '2' :
                    jePravo = dataSchvalovani.items[i].pravo_2;
                    checkboxId = 'Schvaleni_' + dataSchvalovani.items[i].id + '_2';
                    originalValue = dataSchvalovani.items[i].schvaleno_2;
                    break;

                case '3' :
                    jePravo = dataSchvalovani.items[i].pravo_3;
                    checkboxId = 'Schvaleni_' + dataSchvalovani.items[i].id + '_3';
                    originalValue = dataSchvalovani.items[i].schvaleno_3;
                    break;

                case '4' :
                    jePravo = dataSchvalovani.items[i].pravo_4;
                    checkboxId = 'Schvaleni_' + dataSchvalovani.items[i].id + '_4';
                    originalValue = dataSchvalovani.items[i].schvaleno_4;
                    break;
            }

            if (jePravo && checkboxId) {
                var newvalue = !!( value < 0 ? originalValue : value);
                if ( document.getElementById(checkboxId).checked != newvalue ) {
                    document.getElementById(checkboxId).checked = newvalue;
                    oznacRadekSC(i);
                }
            }
        }
    };


    var schvaleniSCMenu = function($sender, uroven) {
        var $menu = $("#schvaleniSCMenu");

        $menu
            .off("click", "li")
            .on("click", "li", function() {
                oznacVsechnySC( $(this).data("ron-hodnotaschvaleni"), uroven );
            });

        $menu.ronPopupMenu({ attachToElement: $sender } );

        return false; // stop event propagation
    };


    $("#schvaleniSCMenu_1")
        .on("click", function() { schvaleniSCMenu($(this), "1"); return false;} );

    $("#schvaleniSCMenu_2")
        .on("click", function() { schvaleniSCMenu($(this), "2"); return false;} );

    $("#schvaleniSCMenu_3")
        .on("click", function() { schvaleniSCMenu($(this), "3"); return false;} );

    $("#schvaleniSCMenu_4")
        .on("click", function() { schvaleniSCMenu($(this), "4"); return false;} );

    $("#schvaleniSCMenu_N")
        .on("click", function() { schvaleniSCMenu($(this), "N"); return false;} );

    $("#schvaleniSCMenu_N2")
        .on("click", function() { schvaleniSCMenu($(this), "N2"); return false;} );

    $("#schvaleni_ALL_1")
        .on("click", function() { oznacVsechnySC($(this).prop("checked"), "1"); });

    $("#schvaleni_ALL_2")
        .on("click", function() { oznacVsechnySC($(this).prop("checked"), "2"); });

    $("#schvaleni_ALL_3")
        .on("click", function() { oznacVsechnySC($(this).prop("checked"), "3"); });

    $("#schvaleni_ALL_4")
        .on("click", function() { oznacVsechnySC($(this).prop("checked"), "4"); });

    $("#schvaleni_ALL_N")
        .on("click", function() { oznacVsechnySC($(this).prop("checked"), "N"); });

    $("#schvaleni_ALL_N2")
        .on("click", function() { oznacVsechnySC($(this).prop("checked"), "N2"); });

    $("#seznamsluzebnichcest")
        .on("click", "input", schvaleniCheckboxClick);

    $("#stornoHromadneSchvaleniSC")
        .on("click", function() { window.location = '?menuid=sluzebnicesty'; } );

    $("#provestHromadneSchvaleniSC")
        .on("click", function() {
            ron.showWorkingInfo();
            this.form.submit();
        } );
};




function zobrazHromadneSchvaleniSC() {
    window.location= '?menuid=sluzebnicesty&schvalovani=1';
}

ron.sc.DataEditaceRadkuSC = function() {
    this.idSluzebniCesty = 0;
    this.readOnly = 0;
    this.zahranicni = 0;
    this.operaceSluzebniCesty = "";
    this.statSluzebniCesty = "";
    this.cilovyStatSluzebniCesty = "";
    this.strDeleteRow = "";
    this.strStorno = "";
    this.casPocatku = "";
};
ron.sc.editaceRadkuSC = function(data) {
    var predvyplnStatSlCesty = function(index) {
        var $select = $("[name=stat_" + index + "]").eq(0);
        if (!$select.length) return false;
        if ($select.val()) return false;

        var $options = $select.children("option");
        if ($options.length == 1) {
            $select.val($options.eq(0).val());
            return true;
        }

        if ($options.length == 2 && $options.eq(0).val() == "") {
            $select.val($options.eq(1).value);
            return true;
        }
        if (index <= 1) {
            $select.val(data.statSluzebniCesty);
            return true;
        }
        if (index == 2) {
            $select.val(data.cilovyStatSluzebniCesty);
            return true;
        }
        var predchoziradek = index - 1;

        while (predchoziradek > 0) {
            var $pom_casinput = $("[name=casod_" + predchoziradek + "]").eq(0);
            var $pom_statinput = $("[name=stat_" + predchoziradek + "]").eq(0);

            if ( $pom_casinput.length  &&  $pom_statinput.length  &&  $pom_casinput.val()  && $pom_statinput.val() ) {
                $select.val($pom_statinput.val());
                return true;
            }
            else {
                predchoziradek--;
            }
        }
        $select.val(data.cilovyStatSluzebniCesty);
    };
    var vyberNasledujiciOperaci = function(seznam, indexradku) {
        var predchozioperace = null;
        var predchoziradek = indexradku - 1;
        while (predchoziradek > 0  &&  !predchozioperace) {
            var pom_casinput = document.getElementsByName('casod_' + predchoziradek)[0];
            var pom_operaceinput = document.getElementsByName('operace_' + predchoziradek)[0];

            if (pom_casinput  &&  pom_operaceinput  &&  pom_casinput.value  &&  pom_operaceinput.value) {
                predchozioperace = pom_operaceinput.value;
            }
            else {
                predchoziradek--;
            }
        }

        if (!predchozioperace) return null;

        predchozioperace = predchozioperace.toLocaleLowerCase();

        var result = null;
        var star = false;
        var found = false;
        for (var i = 0;  i < seznam.length;  i++) {
            if (found) {
                if ( seznam[i] != "*" ) return seznam[i];
            }
            else if (star) {
                if ( seznam[i] != "*" ) result = seznam[i];
            }

            if (seznam[i].toLocaleLowerCase() == predchozioperace) {
                found = true;
            }

            star = seznam[i] == "*";
        }

        return result;
    };


    var predvyplnOperaciSlCesty = function(index) {
        var operace = data.operaceSluzebniCesty.split(";");
        if (!operace.length) return;

        var predchozioperace = null;
        var predchozicas = null;
        var predchoziradek = index - 1;
        while (predchoziradek > 0  &&  !predchozioperace) {
            var pom_casinput = document.getElementsByName('casod_' + predchoziradek)[0];
            var pom_operaceinput = document.getElementsByName('operace_' + predchoziradek)[0];

            if (pom_casinput  &&  pom_operaceinput  &&  pom_casinput.value) {
                predchozioperace = pom_operaceinput;
                predchozicas = pom_casinput;
            }
            else {
                predchoziradek--;
            }
        }

        var operaceinput = document.getElementsByName('operace_' + index)[0];
        if (operaceinput  &&  !operaceinput.value) {
            if (predchoziradek > 0) {
                var novaoperace = vyberNasledujiciOperaci(operace, index);
                if (novaoperace) operaceinput.value = novaoperace;
            }
            else {
                if (operace[0]) {
                    operaceinput.value = operace[0];
                }
            }
        }
    };
    var predvyplnNovyRadekSlCesty = function(index) {
        if (data.operaceSluzebniCesty) {
            predvyplnOperaciSlCesty(index);
        }

        predvyplnStatSlCesty(index);
    };
    var novyRadekChange = function() {
        var index = $(this).data("ron-index");
        if (!index) return;

        var $row = $("#radekSC_" + index);
        if (!$row.length) return; // nedela nic

        var zobrazit = false;

        var $cas_input = $("[name=casod_" + index + "]");
        if ($cas_input.length  &&  $cas_input.eq(0).val() != "") zobrazit = true;

        if (!zobrazit) {
            var snidane_checkbox = $("[name=pocetPJidel_S_" + index + "]").eq(0);
            if (snidane_checkbox.length  &&  snidane_checkbox.prop("checked")) zobrazit = true;
        }
        if (!zobrazit) {
            var obed_checkbox = $("[name=pocetPJidel_O_" + index + "]").eq(0);
            if (obed_checkbox.length  &&  obed_checkbox.prop("checked")) zobrazit = true;
        }
        if (!zobrazit) {
            var vecere_checkbox = $("[name=pocetPJidel_V_" + index + "]").eq(0);
            if (vecere_checkbox  &&  vecere_checkbox.prop("checked")) zobrazit = true;
        }

        if (zobrazit) {
            if ($row.hasClass("novyradekSC") ) {
                $row.removeClass("novyradekSC");
                predvyplnNovyRadekSlCesty(index);
            }
        }
        else {
            $row.addClass("novyradekSC");
        }
    };


    var predvyplnCas = function($input) {
        var index = $input.data("ron-index");

        if (!$input.val()) {
            var casStr = "";

            if (index == 1) {
                casStr = (!data.casPocatku || data.casPocatku == "0:00") ? "8:00" : data.casPocatku;
            } else if ($input.closest("tr").is(".prvniradekprodenSC")) {
                casStr = "8:00";
            } else {
                var $predchoziInput = $("input[name='casod_" + (index - 1) + "']");

                if ($predchoziInput.val()) {
                    var cas = ron.utils.timeStringToFloat($predchoziInput.val());
                    console.log("cas: " , cas);
                    if (cas) {
                        casStr = ron.utils.floatToTimeString(cas + 1);
                    }
                }
            }

            if (casStr) {
                $input.val(casStr);
            }
        }
    };


    var casInputDblClick = function() {
        predvyplnCas($(this));
        novyRadekChange.call(this);
    };


    var jidloCheckboxClick = function() {
        novyRadekChange.call(this);

        predvyplnCas($("input[name='casod_" + $(this).data("ron-index") + "']"));
    };


    var nastavStatProMistoSC = function() {
        var $this = $(this);
        if ( !$this.val() ) return;

        var index = $this.data('ron-index');

        $.ajax( "?menuid=sluzebnicestyjs&action=statpromistosc&kod=" + encodeURIComponent($this.val()) )
            .done( function(data) {
                if (data.result == "OK") {
                    $("[name='stat_" + index + "']").val(data.text);
                } else {
                    ron.showError(data);
                }
            })
            .fail( function(jqXHR) {
                ron.showAjaxError(jqXHR);
            });
    };


    var deleteRow = function() {
        var index = $(this).data('ron-deleterow');
        if (!index) return;

        ron.confirm(data.strDeleteRow,
            function() {
                document.radky_sc_form.smazat_radek_sluzebky.value = index;
                document.radky_sc_form.submit();
            }
        );
    };


    var vydajeProDenClick = function() {
        var datum = $(this).data('ron-vydaje');
        if (!datum) return;

        this.form.zobrazitVydajeProDen.value = datum;

        ron.showWorkingInfo();
        this.form.submit();
    };


    var btnPoznamkaClick = function() {
        var $this = $(this);
        var index = $this.data('ron-index');

        $("#radekSC_" + index).toggleClass("jePoznamkaSC", true);
        $("#radekSC_poznamka_" + index).toggleClass("jePoznamkaSC", true);
    };


    $("#radky_sc_editace")
        .on("keyup", 'input[name^="casod_"]', novyRadekChange)
        .on("change", 'input[name^="casod_"]', novyRadekChange)
        .on("dblclick", 'input[name^="casod_"]', casInputDblClick)
        .on("change", 'input[name^="pocetPJidel_"]', jidloCheckboxClick)
        .on("change", '[name^="misto_"]', nastavStatProMistoSC)
        .on("click", ".glyph-delete", deleteRow)
        .on("click", '[name^="vydaje_"]', vydajeProDenClick)
    ;


    var stornoClick = function() {
        ron.confirm(data.strStorno,
            function() {
                window.location = "?menuid=sluzebnicesty&action=zobrazslcestu&record=" + data.idSluzebniCesty;
            }
        );

        return false;
    };


    $("#stornoRadkuSC")
        .on("click", stornoClick);

    $(".radekSC_btn_poznamka")
        .on("click", btnPoznamkaClick)
};



ron.sc.DataSeznamuUctovani = function() {
    this.idSC = 0;
    this.typUctovaniSC_NVV = [];
};
ron.sc.seznamUctovaniSC = function(data) {
    function radekSlCesty_Je_NVV(kod)
    {
        for (var i = 0;  i < data.typUctovaniSC_NVV.length;  i ++)
            if ( data.typUctovaniSC_NVV[i] == kod ) return true;

        return false;
    }
    var nastavTypRadkuUctovaniSlCesty = function()
    {
        var jeNahrada = radekSlCesty_Je_NVV( $(this).val() );

        $("#nahradyzavozidlo")
            .css("display", jeNahrada ? "inline" : "none");

        this.form.Castka.disabled = jeNahrada;
    };


    $("#typRadkuUctovaniSC")
        .on("change", nastavTypRadkuUctovaniSlCesty);



    var nastavProkazaniCenyPHM = function() {
        if ( $(this).val() == "1" ) {
            $("#NVV_DruhPHM").css("display", "inline");
            $("#NVV_CenaPHM").css("display", "none");
        }
        else {
            $("#NVV_DruhPHM").css("display", "none");
            $("#NVV_CenaPHM").css("display", "inline");
        }
    };

    $("input[name='NVV_NeprokazanaCenaPHM']")
        .on("change", nastavProkazaniCenyPHM);
};


ron.sc.Vozidlo = function() {
    this.registracniZnacka = null;
    this.popis = '';
    this.druhPHM = '';
    this.spotreba = 0;
};
var vozidla = [];
function najdiVozidlo(registracniZnacka) {
    for (var i = 0;  i < vozidla.length;  i++) {
        if (vozidla[i].registracniZnacka == registracniZnacka) {
            return vozidla[i];
        }
    }

    return null;
}

function vozidloSluzebniCesty(sender, index) {
    var $edit_spotreba = $("#NVV_SpotrebaVozidla_" + index);

    var vozidlo = najdiVozidlo(sender.value);
    if (vozidlo) {
        $("#NVV_PopisVozidla_" + index)
            .html("(" + vozidlo.popis + ")");
    } else {
        $("#NVV_PopisVozidla_" + index)
            .html("");
    }
    if (vozidlo  &&  vozidlo.spotreba) {
        $edit_spotreba
            .val('' + vozidlo.spotreba)
            .prop("readonly", true);

    } else {
        $edit_spotreba
            .prop("readonly", false);
    }
    if (vozidlo  &&  vozidlo.druhPHM) {
        $("[name=NVV_DruhPHM_" + index + "]")
            .val(vozidlo.druhPHM)
            .prop("disabled", true);
    } else {
        $("[name=NVV_DruhPHM_" + index + "]")
            .prop("disabled", false);
    }
}


$(function() {

    var nastavProkazaniCenyPHM =  function() {
        var
            $this = $(this),
            index = $this.data("index"),
            prokaze = $this.attr("value") == "1";

        $("select[name=NVV_DruhPHM_" + index + "]").css("display", prokaze ? "inline" : "none");
        $("input[name=NVV_CenaPHM_" + index + "]").css("display", prokaze ? "none" : "inline");
    };


    $("#radky_uctovanisc_editace").on("change", ".NVV_ProkazaniCenyPHM", nastavProkazaniCenyPHM);
});
var indexRadkuNVV = null; // aby to fungovalo i v hromadne editaci radku uctovani

function GetDistance(sender, origin, destination, waypoints, indexradku) {
    indexRadkuNVV = indexradku;

    function getDistanceCallback(response, status) {
        if (status != google.maps.DistanceMatrixStatus.OK) {
            alert('Nelze zjistit vzd�lenost! Chyba: ' + status);
            return false;
        }

        if (!response.rows.length) {
            alert('Nelze zjistit vzd�lenost! Slu�ba nevr�tila ��dn� data!');
            return false;
        }

        var vzdalenost = 0;

        var all_found = true;

        for (i = 0; i < response.rows.length; i++) {
            var results = response.rows[i].elements;
            if (results && results.length > i) {
                if (results[i].status == google.maps.DistanceMatrixStatus.OK) {
                    vzdalenost = vzdalenost + Math.round(results[i].distance.value / 1000);
                }
                else {
                    all_found = false;
                }
            }
        }

        if (indexRadkuNVV) {
            var checkbox = document.getElementsByName('NVV_DvojnasobekVzdalenosti_' + indexRadkuNVV)[0];
            if (checkbox) {
                if (checkbox.checked) vzdalenost = 2 * vzdalenost;
            }
        }
        else if (document.radky_uctovanisc_form.NVV_DvojnasobekVzdalenosti.checked) vzdalenost = 2 * vzdalenost;

        var trasa_msg = 'Start: ' + response.originAddresses[0] + "\n";
        var map_url = "http://www.google.cz/maps/?f=d&source=s_d&saddr=" + encodeURIComponent(response.originAddresses[0]);

        for (var i = 0; i < response.destinationAddresses.length - 1; i++) {
            trasa_msg += 'P�es: ' + response.destinationAddresses[i] + "\n";
        }
        trasa_msg += 'C�l: ' + response.destinationAddresses[response.destinationAddresses.length - 1] + "\n";

        map_url += "&daddr=" + encodeURIComponent(response.destinationAddresses[0]);
        for (i = 1; i < response.destinationAddresses.length; i++) {
            map_url += "+to:" + encodeURIComponent(response.destinationAddresses[i]);
        }

        if (!all_found) trasa_msg = "POZOR! N�kter� z m�st nebylo nalezeno, trasa nen� kompletn�!\n\n" + trasa_msg;

        if (confirm(trasa_msg +
                'Vypo�ten� vzd�lenost je ' + vzdalenost + ' km. Pou��t tuto vzd�lenost?')) {
            if (indexRadkuNVV) {
                var edit = document.getElementsByName('NVV_PocetUjetychKM_' + indexRadkuNVV)[0];
                if (edit) edit.value = vzdalenost;
            }
            else document.radky_uctovanisc_form.NVV_PocetUjetychKM.value = vzdalenost;
        }

        window.open(map_url, 'ron_iw_mapa');
    }


    var service = new google.maps.DistanceMatrixService();

    if (waypoints && document.radky_uctovanisc_form.NVV_PocitatPres.checked) {
        if (debugMode) console.log("GetDistance:", 'z ' + origin + ' p�es ' + waypoints + ' do ' + destination);

        poma = waypoints.split(',');

        var myorigins = [];
        var mydests = [];

        myorigins[0] = origin;
        for (var i = 0; i < poma.length; i++) {
            if (poma[i]) {
                myorigins[i + 1] = poma[i];
                mydests[i] = poma[i];
            }
        }
        mydests[mydests.length] = destination;

        service.getDistanceMatrix(
            {
                origins: myorigins,
                destinations: mydests,
                travelMode: google.maps.TravelMode.DRIVING,
                unitSystem: google.maps.UnitSystem.METRIC,
                avoidHighways: false,
                avoidTolls: false
            }, getDistanceCallback);
    }
    else {
        if (debugMode) console.log("GetDistance:", 'z ' + origin + ' do ' + destination);

        service.getDistanceMatrix(
            {
                origins: [origin],
                destinations: [destination],
                travelMode: google.maps.TravelMode.DRIVING,
                unitSystem: google.maps.UnitSystem.METRIC,
                avoidHighways: false,
                avoidTolls: false
            }, getDistanceCallback);
    }
}


$(function() {
    var deleteRadekUctovani = function() {
        var $that = $(this);

        ron.confirmQuestion($that, function() {
            document.radky_uctovanisc_form.smazat_radek_uctovani_sluzebky.value = $that.data("cislo-radku");
            document.radky_uctovanisc_form.submit();
        });
    };

    $("#radky_uctovanisc_editace")
        .on("click", ".glyph-delete", deleteRadekUctovani);
});


$(function() {
    var vlastniKurzMenyClick = function() {
        if ($(this).prop("checked")) {
            $("#editace_uctovani_kurz").show();
        } else {
            $("#editace_uctovani_kurz").hide();
        }
    };
    var menaUctovaniChange = function() {
        $("#editace_uctovani_mena").text($(this).val());
    };


    function showDokumentSCDialog() {

        ronPortal.showDokumentDialog();
        return false;
    }
    function vraceniSCClick(sender) {
        $("#vracenisluzebnicesty").show();
        $(this).hide();

        return false; // puvodni odkaz se nepouzije
    }


    $(document.body)
        .on("click", "#DM_VlastniKurz", vlastniKurzMenyClick)
        .on("change", "#KodMeny", menaUctovaniChange)
        .on("click", "#vlozit_dokument_sc", showDokumentSCDialog)
        .on("click", ".vraceni_sluzebni_cesty_link", vraceniSCClick)

    $(".kopieProSpolucestujiciho")
        .on("click", ron.sc.kopieProSpolucestujiciho);

});