<?php
/**
 * Login page
 */

namespace Ron;

// Zrusi data prihlaseneho uzivatele
use Ron\Http\App;
use Ron\RonPortal\RonPortalSettings;

unset($_SESSION['loginname']);
unset($_SESSION['loginpassword']);
  
require_once('ron/guiutils.php');
require_once('appconstants.php');

global $enable_login_as;
global $copyrightYear;
global $appVersion;
global $appDate;
global $enableidlogin;

//$action = '?';
//if ( $_SERVER["QUERY_STRING"] && $_GET["menuid"] != "logout") {
//    $action = '?' . $_SERVER["QUERY_STRING"];
//}

$langStr = RonPortalSettings::getValue('preklady', 'cz;sk;eng');
$langs = $langStr ? explode(';', $langStr) : ['cz', 'sk', 'eng'];

?>
<!doctype html>
<html>
<head>
    <?php
    require('ron/apphead.php');
    require('adsapp/apphead.php');
    ?>
<script type="application/javascript">
    $( function() {
        var $element = $("[name='loginname']");

        <?php if (isset($enableidlogin)  &&  $enableidlogin) { ?>
            // id login = prihlasovani kartou - zajisti, ze je pole pro nacteni karty stale aktivni
            var checkFocus = function() {
                if (!$element.is(":focus")) {
                    $element.focus();
                }
            };

            checkFocus();

            $element.on("blur", function() {
                setTimeout(checkFocus, 50);
            } );
        <?php } else { ?>
            $element.focus();
        <?php } ?>
    });
</script>
</head>
<body class="bodylogin">

    <div class="loginpagecontent">
        <?php require('view/apptitle.php'); ?>

        <div class="topmenu" id="topmenu">
            <div class="appselect"></div>
            <ul class="langselect inline-list list-slash">
                <?php foreach ($langs as $lang) { ?>
                    <li id="lang_item_<?= $lang ?>" title="<?= \Ron\ronText('LANG_TITLE_' . strtolower($lang)) ?>"><a href="?session@lang=<?= $lang ?>"><?= \Ron\ronText('LANG_' . strtolower($lang)) ?></a></li>
                <?php } ?>
            </ul>
        </div>

        <div class="container">
            <h2><?= \Ron\ronText('Prihlaseni_uzivatele') ?></h2>

            <?php if ( file_exists("_userloginpage.php") ) include("_userloginpage.php"); ?>
            <div id="login_page_info"><?= ronText('Login_page_info') ?></div>

            <form name="loginform" method="post" <?= $_GET["menuid"] == "logout" ? 'action="?"' : ''?>>
                <input id="login_adblock"  type="hidden" name="adblock" value="1" /> <!-- vypne se javascriptem -->

                <div class="form small-form form-100 d-inline-block">
                    <div class="form-content">
                        <?php MessageManager::getInstance() ->showMessages(); ?>

                        <?php if (isset($enableidlogin)  &&  $enableidlogin) { // prihlasovani kartou ?>
                            <div class="form-row">
                                <div class="form-col form-col1 caption"><?= \Ron\ronText('Cislo_karty') ?></div>
                                <div class="form-col form-col2">
                                    <input type='password' class="form-control" autocomplete='off' name='loginname' size='20'>
                                    <input type='hidden' name='idlogin' value='1'>
                                </div>
                            </div>

                        <?php } else { // prihlaseni pomoci jmena a hesla ?>
                            <div class="form-row">
                                <div class="form-col form-col1 caption"><?= \Ron\ronText('Login') ?></div>
                                <div class="form-col form-col2"><input type="text" class="form-control" name="loginname" id="loginname" size="20"></div>
                            </div>
                            <div class="form-row">
                                <div class="form-col form-col1 caption"><?= \Ron\ronText('Heslo') ?></div>
                                <div class="form-col form-col2"><input type="password" class="form-control" name="loginpassword" id="loginpassword" size="20"></div>
                            </div>
                        <?php } ?>
                    </div>
                    <div class="buttons">
                        <input type="submit" class="submitbutton" id="loginbutton" name="login" value=<?= \Ron\ronText('Vstup') ?>>
                    </div>
                </div>

            </form>

            <div id="nojs" class="errortext"><a href="script/nojs.html"><?= \Ron\ronText('Adblock_nebo_vypnuty_javascript') ?></a></div>
            <?php
                global $phpMinVersion;
                if (PHP_VERSION_ID < $phpMinVersion) { ?>
                <div class="errortext"><a href="https://www.php.net/supported-versions.php" target="_blank"><?= \Ron\ronText('PHP_stara_verze') ?></a></div>
            <?php } ?>
        </div>
    </div>

    <div class="footer fixed-md-bottom">
        <div class="copyright"> RON Software (c) 2007-<?= $copyrightYear ?></div>
        <div class="version"><?php if (!$enableidlogin) echo "<a href='adsapp/verze.php' title='$appDate' target='_blank'>"; echo $appVersion; if (!$enableidlogin) echo "</a>"; ?></div>
    </div>

    <script>
        $(function () {
            if (window.neniAdblock) {
                $("#login_adblock").val("0");
            }
        });
    </script>

<?php App::getInstance() ->renderHtmlFooter(); ?>

</body>
</html>