<?php
/**
 * UTF8
 * stanislav.elbl, 02.02.2016
 */

namespace Ron\RonPortal\XML;

use Ron\MessageManager;
use Ron\RonPortal\RonPortalDBRecord;
use Ron\StringUtils;

require_once('xml/xml_commands.php');


class XMLFormElementRecord extends XMLFormElementCommand
{

    /** @var \Ron\RonPortal\RonPortalDBRecord */
    var $dbRecord;

    function doCommand()
    {
        require_once('adsapp/ronportaldbrecord.php');

        $this->dbRecord = new RonPortalDBRecord($this ->xmlForm ->database, $this->getAttributeValue('tablename'));
        $logdescription = $this->getAttributeValue('logdescription');
        if (!$logdescription) {
            $logdescription = StringUtils::fromUTF8('XML formulář');
        }

        $this->dbRecord->logDescription = $logdescription;
        //parent::elementsEvent();
    }
}



class XMLFormElementRecordPart extends XMLFormElementCommand
{
    var $wherePart;
    var $valueText;

    function loadXML($xmlReader)
    {
        parent::loadXML($xmlReader);

        switch ($this->elementName) {
            case 'recordwhere' :
                $this->wherePart = $this->getTextContent(false);
                break;

            case 'recordfield' :
                $this->valueText = $this->getAttributeValue('value');

                if (!isset($this ->valueText)) {
                    $this ->valueText = $this->getTextContent(false);
                } else {
                    $this ->valueText = StringUtils::fromUTF8($this ->valueText);
                }
        }
    }


    function doCommand()
    {
        /* @var  XMLFormElementRecord $recordElement */
        $recordElement = $this->findParentByName('record');
        if (!$recordElement) return;

        switch ($this->elementName) {
            case 'recordfield' :
                $readonly = self::getBoolValue($this ->getAttributeValue('readonly'));
                $value = $this->nahradPromenne($this ->valueText);

                $field = $recordElement ->dbRecord ->addField(
                    $this ->getAttributeValue('name'), $this ->getAttributeValue('format'),
                    $readonly, (int)$this ->getAttributeValue('size'), $value );

                // priznaky pro logovaci pole (napr. Update_UserName)
                $field ->updateLog = $this ->getAttributeValue('updatelog');

                break;

            case 'recordwhere' :
                $where = $this ->nahradPromenneSQL($this ->wherePart);
                $recordElement ->dbRecord ->where = $where;
                break;

            case 'loadrecord' :
                $varName = $this ->getAttributeValue('name');

                $this ->setVariableValue($varName, $recordElement ->dbRecord);

                $recordElement ->dbRecord ->loadRecord();
                foreach ( $recordElement ->dbRecord ->fields as $field ) {
                    $this ->setVariableValue($varName . '_' . ($field ->fieldName), $field ->originalValue);
                }
                break;

            case 'insertrecord' :
                $recordElement ->dbRecord ->insertRecord();
                break;

            case 'updateorinsertrecord' :
                $recordElement ->dbRecord ->updateOrInsert();
                break;

            case 'deleterecord' :
                $recordElement ->dbRecord ->deleteRecord();
                break;

            case 'updaterecord' :
            case 'editrecord' :
                if ($recordElement->dbRecord->loadRecord()) {
                    $recordElement->dbRecord->updateRecord();
                } else {
                    // TODO: vyhodit vyjimku?
                    MessageManager::addErrorMessage('Chyba pri nacitani puvodniho zaznamu!');
                }
        }
    }
}
