<?php
/**
 * stanislav.elbl, 19.02.2019
 */

namespace Ron\RonPortal\XML;


use Ron\RonPortal\Log;
use Ron\StringUtils;

require_once 'xml/xml_commands.php';


class XMLFormElementLog extends XMLFormElementCommand
{
    var $text;


    function loadXML($xmlReader)
    {
        parent::loadXML($xmlReader);
        $this ->text = $this ->getTextContent(false);
    }


    function doCommand()
    {
        require_once('adsapp/ronportallog.php');

        $text = $this -> nahradPromenne( $this ->text);

        if ($this ->elementName == 'dblog') {
            $srcDescription = $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('srcdescription')));
            if (!$srcDescription) $srcDescription = 'XML';

            Log::addRecordToDBLog( $this ->xmlForm ->database,
                $this ->getAttributeValue('tablename'), $this ->getAttributeValue('eventtype'), $srcDescription, $text);
        } else {
            Log::addRecordToLog( $this ->xmlForm ->database,
                $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('description'))),
                $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('category'))),
                $text );
        }
    }
}

