<?php
/**
 * UTF8
 * stanislav.elbl, 18.09.2018
 */

namespace Ron\RonPortal\XML;

use Ron\Http\HtmlHeaders;
use Ron\RonPortal\PracovniPomer;
use Ron\RonPortal\Vyroba\DenniVyrobaOsobyForm;
use Ron\TextManager;

class XMLElementRozdeleniVyroby extends XMLFormElement
{
    private static $form = null; // vytvorit jako static?

    function createForm()
    {
        require_once 'vyroba/f_dennivyrobaosoby.php';
        require_once 'adsapp/ppomer.php';

        TextManager::getInstance()
            ->loadStrings('vyroba.ini')
            ->loadStrings('dochazka.ini');


        $idPP = (int)$this ->nahradPromenne($this ->getAttributeValue('idpp'));
        $pp = PracovniPomer::nactiPP($this ->xmlForm ->database, $idPP);

        $den = (int)$this ->nahradPromenne($this ->getAttributeValue('den'));

        $result = new DenniVyrobaOsobyForm($this ->xmlForm ->database, $pp, $den, $this ->getBoolAttribute('kontrolovatprava', true));
        $result ->logDescription = 'XML ' . $this ->xmlForm ->idSablony;
        return $result;
    }


    function getHTMLOutput()
    {
        HtmlHeaders::getInstance()
            ->addScript('script/vyroba.js')
            ->addCss('css/dochazka.css');

        if (!self::$form) {
            self::$form = $this->createForm();
            self::$form ->load();
        }

        $this ->xmlForm ->viewObjects[] = self::$form;

        return $this ->xmlForm ->viewObjectPlaceholder;
    }


    function process()
    {
        self::$form = $this ->createForm();
        self::$form ->load();
        self::$form ->process();

        if (self::$form ->isError) {
            $this->xmlForm ->addErrorMsg('');
        }
    }
}
