<?php
/**
 * stanislav.elbl, 19.02.2019
 */

namespace Ron\RonPortal\XML;

/** @var RonPortalXMLForm $this  */
/** @var XMLFormElement $parentElement */

use Ron\RonPortal\PredavaciProcesyUtils;
use Ron\StringUtils;

if (!class_exists('\Ron\RonPortal\XML\XMLElementVyberOsoby')) {

    class XMLElementVyberOsoby extends XMLFormElement
    {
        var $name;
        var $editing;

        protected function loadXMLElement($xmlReader)
        {
            parent::loadXMLElement($xmlReader);

            $this ->name = $this ->getAttributeValue('name');
            $this ->editing = self::getBoolValue($this ->getAttributeValue('editing'));
        }

        function getHTMLOutput()
        {
            $value = null;
            if ($this ->xmlForm ->dataMode()) {
                $value = $this ->variableValue($this ->name);
            }
            if (!isset($value)) {
                $value = $this ->nahradPromenne(StringUtils::fromUTF8($this ->getAttributeValue('value')));
            } else if ($this ->xmlForm ->dataMode()  &&  !$this ->editing) {
                // datove XML, uz vyplneny needitovatelny vyber
                return '<div class="dotaznik_odpoved">' . $this ->variableValue($this ->name . '_jmenoprijmeni') . '</div>';
            }

            $sql = PredavaciProcesyUtils::sqlVyberOsobyProPredavaciProces($this ->xmlForm ->database, $this ->xmlForm->predavaciProces, $this ->xmlForm->typRozdeleniProcesu);

            $cursor = $this ->xmlForm ->database ->getSqlResult($sql);

            $attrs = [];
            $attrs['name'] = $this ->name;

            $attrs = $this->setHTMLAttributes($attrs);

            $result = '<SELECT ' . $this->getHTMLAttributes($attrs) . '>';

            while ($row = $cursor ->fetch()) {
                $selectedstr = ($row[0] == $value) ? 'selected="selected"' : '';

                $result .=
                    "<OPTION value='" . StringUtils::htmlTextConvert($row[0]) . "' $selectedstr>" .
                    StringUtils::htmlTextConvert($row[1]) . ' ' . StringUtils::htmlTextConvert($row[2]) . ($row[3] ? ', ' . StringUtils::htmlTextConvert($row[3]) : '') .
                    "</OPTION>\n";
            }
            $cursor ->close();

            $result .= "</SELECT>\n";

            return $result;
        }


        function writeXMLOutput($xmlWriter)
        {
            // TODO: DODELAT
            throw new \Exception("XMLElementVyberOsoby:writeXMLOutput neni implementovano!");
        }


        function process()
        {
            $this ->xmlForm ->nastavOsobu($this ->name, $_POST[$this ->name]);

            $this ->xmlForm ->addDataVariable($this ->name);
            $this ->xmlForm ->addDataVariable($this ->name . '_RC');
            $this ->xmlForm ->addDataVariable($this ->name . '_jmeno');
            $this ->xmlForm ->addDataVariable($this ->name . '_prijmeni');
            $this ->xmlForm ->addDataVariable($this ->name . '_jmenoprijmeni');
            $this ->xmlForm ->addDataVariable($this ->name . '_titul');
        }
    }

}

return new XMLElementVyberOsoby($this, $parentElement);
